# -*- coding: utf-8 -*-
from __future__ import absolute_import, division, print_function, unicode_literals
__license__   = 'GPL v3'
__copyright__ = '2015,2016,2017,2018,2019 DaltonST <DaltonShiTzu@outlook.com>'
__my_version__ = "1.0.11"     #  Technical changes after Python 3.8 testing with Calibre 4.99.2
__my_english_to_spanish_dict_master_version__ = "2015-08-4"    #  5,893  pairs
#-------------------------------------------------------------------------------------------------------------------------------------
def return_english_to_spanish_dict():
   #--------------------------------------------------
   #--------------------------------------------------
   #--------------------------------------------------
   english_to_spanish_translation_dict = {'god': 'dios', 'politician': 'pol\xedtico', 'salad': 'ensalada', 'airfield': 'aeropuerto', 'guiltless': 'inocente', 'liar': 'mentiroso', 'warm': 'caliente', 'yearning': 'anhelo', 'courtyard': 'patio', 'spur': 'impulso', 'firstly': 'primero', 'productivity': 'productividad', 'rainbow': 'arcoiris', 'poisonous': 't\xf3xico', 'carving': 'escultura', 'heel': 'tal\xf3n', 'precedent': 'precedente', 'persia': 'persia', 'antler': 'cuerno', 'ballpoint': 'bol\xedgrafo', 'mechanism': 'mecanismo', 'beefsteak': 'bist\xe9', 'dizzy': 'mareado', 'pirate': 'pirata', 'distribution': 'distribuci\xf3n', 'cover': 'cubierta', 'parking': 'aparcamiento', 'coven': 'akelarre', 'transport': 'transporte', 'steering': 'volante', 'minutes': 'acta', 'mythology': 'mitolog\xeda', 'shortage': 'falta', 'distant': 'lejano', 'paper': 'papel', 'egg': 'huevo', 'smoked': 'ahumado', 'misunderstanding': 'malentendido', 'cannon': 'ca\xf1\xf3n', 'liberation': 'liberaci\xf3n', 'geographic': 'geograf\xeda', 'comic': 'comediante', 'february': 'febrero', 'shave': 'afeitado', 'humiliating': 'vergonzoso', 'globe': 'esfera', 'interment': 'entierro', 'coeval': 'coet\xe1neo', 'packet': 'paquete', 'mount': 'monte', 'lull': 'calma', 'consultation': 'reflexi\xf3n', 'orientation': 'orientaci\xf3n', 'goulash': 'estofadodecarneh\xfangaro', 'arena': 'redondel', 'sole': '\xfanico', 'gram': 'gram', 'booze': 'alcohol', 'carburettor': 'carburador', 'seemly': 'conveniente', 'deliberation': 'reflexi\xf3n', 'convoy': 'tren', 'divorce': 'divorcio', 'retrograde': 'retr\xf3grado', 'incendiary': 'bombaincendiaria', 'siblings': 'hermanos', 'gundeck': 'bater\xeda', 'assets': 'activo', 'strecher': 'camilla', 'holding': 'holding', 'ideology': 'ideolog\xeda', 'guarantee': 'garant\xeda', 'fuel': 'dep\xf3sitodegasolina', 'sturdy': 's\xf3lido', 'honesty': 'honor', 'glare': 'deslumbramiento', 'violence': 'violencia', 'profit': 'beneficio', 'grain': 'fibra', 'reproof': 'reparo', 'waistcoat': 'chaleco', 'psychology': 'psicolog\xeda', 'paint': 'pintura', 'antiseptic': 'antis\xe9ptico', 'locust': 'saltamontes', 'trait': 'rasgo', 'train': 'tren', 'sadness': 'tristeza', 'bellow': 'A continuaci\xf3n fuerte', 'cider': 'sidra', 'acquiescence': 'resignaci\xf3n', 'fantasy': 'imaginaci\xf3n', 'triumph': 'triunfo', 'stable': 'fijo', 'shrove': 'martesdecarnestolendas', 'beast': 'fiera', 'passage': 'fragmento', 'charge': 'cargo', 'successor': 'descendiente', 'rice': 'arroz', 'greenland': 'groenlandia', 'case': 'maleta', 'obviously': 'evidentemente', 'pentecost': 'pentecost\xe9s', 'cash': 'duro', 'imposter': 'embustero', 'subsequently': 'm\xe1sadelante', 'axe': 'hacha', 'calmness': 'serenidad', 'invention': 'invento', 'toothache': 'dolordemuelas', 'grotto': 'cueva', 'picnic': 'picnic', 'magnetic': 'magn\xe9tico', 'fallacious': 'falaz', 'asparagus': 'esp\xe1rrago', 'wax': 'cera', 'way': 'v\xeda', 'war': 'guerra', 'adherents': 'partido', 'concise': 'sucinto', 'anus': 'ano', 'predator': 'depredador', 'bestial': 'bestial', 'committee': 'comisi\xf3n', 'countless': 'infinidad', 'ultimately': 'porfin', 'ebb': 'marea', 'coins': 'moneda', 'scooter': 'patinete', 'adjacent': 'vecino', 'drug': 'droga', 'slander': 'calumnia', 'posture': 'postura', 'petition': 'petici\xf3n', 'lesson': 'lecci\xf3n', 'marcia': 'marcia', 'moselle': 'mosela', 'el': 'elsalvador', 'shipping': 'navegaci\xf3n', 'napkin': 'servilleta', 'valid': 'v\xe1lido', 'pleasant': 'agradable', 'employment': 'bolsadetrabajo', 'bobbysock': 'calcetines', 'cathedral': 'catedral', 'normal': 'normal', 'combat': 'combatir', 'feature': 'caracter\xedstica', 'checked': 'acuadros', 'outcome': 'salida', 'whale': 'ballena', 'adieu': 'adi\xf3s', 'equally': 'idem', 'vase': 'vaso', 'yacht': 'yate', 'agog': 'curioso', 'romanesque': 'rom\xe1nico', 'lynx': 'lince', 'decrepit': 'decr\xe9pito', 'contempt': 'desprecio', 'carnival': 'carnestolendas', 'tone': 'tono', 'aptitude': 'talento', 'london': 'londres', 'eleven': 'once', 'howl': 'a\xfalla', 'goalkeeper': 'portero', 'bare': 'desnudo', 'caterpillar': 'gusano', 'barn': 'puesto', 'melody': 'melod\xeda', 'affectation': 'afectaci\xf3n', 'autonomic': 'aut\xf3nomo', 'missile': 'misiles', 'smiling': 'sonriente', 'orange': 'naranja', 'episode': 'episode', 'cabinet': 'armario', 'external': 'externo', 'eighteen': 'diezyocho', 'credit': 'cr\xe9dito', 'slipper': 'zapatilla', 'must': 'tenerque', 'hackneyed': 'trillado', 'wheat': 'trigo', 'entire': 'todo', 'length': 'largo', 'blunt': 'obtuso', 'alarmbell': 'timbredealarma', 'skirmish': 'encuentro', 'mat': 'alfombra', 'map': 'plano', 'mathematical': 'matem\xe1tico', 'may': 'mayo', 'temperament': '\xedndole', 'woods': 'bosque', 'man': 'var\xf3n', 'selfless': 'afectuoso', 'ornament': 'ornamento', 'slum': 'barriobajo', 'slug': 'babosa', 'cable': 'cable', 'natality': 'natalidad', 'japanese': 'japon\xe9s', 'middy': 'guardiamarina', 'elation': 'euforia', 'pleased': 'contento', 'woe': 'ay', 'signalman': 'guardav\xeda', 'elder': '\xf1a\xf1o', 'deceitful': 'falaz', 'revolution': 'revoluci\xf3n', 'shelter': 'amparo', 'once': 'unavez', 'ready': 'listo', 'floor': 'suelo', 'baron': 'bar\xf3n', 'offence': 'escand\xe1lo', 'chasm': 'precipicio', 'flood': 'inundaci\xf3n', 'chase': 'persecuci\xf3n', 'sallow': 'p\xe1lido', 'copy': 'ejemplar', 'seventeen': 'diezysiete', 'selfish': 'ego\xedsta', 'lung': 'pulm\xf3n', 'by': 'ya', 'restaurant': 'restaurante', 'text': 'texto', 'esteem': 'tomarenconsideraci\xf3n', 'symbol': 'signo', 'scot': 'escoc\xe9s', 'fervour': 'celo', 'trailer': 'remolque', 'debate': 'debate', 'owner': 'due\xf1o', 'door': 'puerta', 'colombia': 'colombia', 'emphasis': '\xe9nfasis', 'famous': 'famoso', 'rubber': 'goma', 'spouse': 'matrimonio', 'knighthood': 'caballer\xeda', 'beautiful': 'bonito', 'bee': 'abeja', 'bed': 'cama', 'thinking': 'pensamiento', 'reconstruction': 'reconstrucci\xf3n', 'bet': 'apuesta', 'apparently': 'evidentemente', 'workbook': 'cuaderno', 'adulteress': 'ad\xfaltera', 'belief': 'creencia', 'laser': 'l\xe1ser', 'explanation': 'explicaci\xf3n', 'towing': 'cablederemolque', 'risky': 'arriesgado', 'nicaragua': 'nicaragua', 'exploration': 'exploraci\xf3n', 'tented': 'campamento', 'prisoner': 'preso', 'ailment': 'enfermedad', 'shell': 'c\xe1scara', 'cathode': 'tuboreceptor', 'shelf': 'tabla', 'morocco': 'marruecos', 'honor': 'honor', 'adolescent': 'adolescente', 'control': 'dominio', 'notepad': 'blocdenotas', 'weather': 'tiempo', 'diarrhoea': 'diarrea', 'chemistry': 'qu\xedmica', 'adherent': 'partidario', 'shoulder': 'hombro', 'alteration': 'modificaci\xf3n', 'express': 'darelp\xe9samea', 'mommy': 'mami', 'automatic': 'autom\xe1tico', 'canoe': 'canoa', 'last': '\xfaltimo', 'selection': 'selecci\xf3n', 'calculus': 'c\xe1lculo', 'never': 'nunca', 'apricot': 'albaricoquero', 'signature': 'firma', 'camera': 'c\xe1maradepel\xedculas', 'today': 'hoy', 'final': 'final', 'craftiness': 'astucia', 'constipation': 'constipado', 'premium': 'pr\xe9mio', 'counsel': 'consejo', 'lawless': 'libertino', 'suspect': 'sospechoso', 'aspirin': 'aspirina', 'easily': 'f\xe1cilmente', 'destination': 'destino', 'rubbish': 'basura', 'servitude': 'servidumbre', 'partly': 'enparte', 'lineage': 'cuna', 'labyrinth': 'laberinto', 'russia': 'rusia', 'August': 'agosto', 'united': 'estadosunidos', 'harm': 'da\xf1o', 'abyss': 'precipicio', 'hard': 'trillado', 'route': 'ruta', 'covered': 'ensangrentado', 'story': 'historia', 'reliable': 'deconfianza', 'storm': 'tormenta', 'adam': 'ad\xe1n', 'done': 'terminado', 'chamber': 'cuarto', 'store': 'tienda', 'nineteen': 'diezynueve', 'calabash': 'calabaza', 'song': 'canci\xf3n', 'product': 'producto', 'sometimes': 'aveces', 'spread': 'propagaci\xf3n', 'chef': 'jefe', 'insurance': 'seguro', 'kindness': 'bondad', 'keepsake': 'recuerdo', 'parade': 'llamada', 'building': 'edificio', 'environment': 'atm\xf3sfera', 'alpine': 'refugio', 'substitute': 'sustituto', 'network': 'red', 'indication': 'indicaci\xf3n', 'pill': 'p\xedldora', 'skirt': 'falda', 'operation': 'operaci\xf3n', 'incredible': 'incre\xedble', 'vicious': 'astuto', 'residence': 'residencia', 'egypt': 'egipto', 'boxer': 'boxeador', 'repute': 'hambre', 'apple': 'tartademanzana', 'ambassador': 'embajador', 'slavic': 'eslavo', 'bearing': 'rumbo', 'fir': 'abeto', 'bow': 'arco', 'flanders': 'flandes', 'strict': '\xe1spero', 'anvil': 'yunque', 'greatgranddaughter': 'bisnieta', 'odor': 'olor', 'truth': 'verdad', 'language': 'lenguaje', 'trimming': 'recorte', 'sale': 'venta', 'sick': 'enfermos', 'yugoslavia': 'yugoeslavia', 'proposition': 'proposici\xf3n', 'ground': 'terreno', 'catalonian': 'catal\xe1n', 'return': 'regreso', 'speechless': 'mudo', 'kilogram': 'kilo', 'traitor': 'traidor', 'complain': 'quejarse', 'ecstatic': 'ext\xe1tico', 'provocation': 'desaf\xedo', 'guileless': 'ingenuo', 'hectare': 'hect\xe1rea', 'clique': 'trinquete', 'item': 'art\xedculo', 'scripture': 'escritura', 'acerbic': 'amargo', 'cock': 'gallo', 'indecisive': 'indeciso', 'boarding': 'pensi\xf3n', 'abomination': 'horror', 'footstep': 'huella', 'vanity': 'bolsaparase\xf1oras', 'still': 'todavia', 'what': '\xbfqu\xe9horaes?', 'carpenter': 'carpintero', 'enterprise': 'negocio', 'kinship': 'parentesco', 'costly': 'caro', 'pump': 'bomba', 'release': 'liberaci\xf3n', 'amen': 'am\xe9n', 'laird': 'laird', 'dome': 'c\xfapula', 'bush': 'arbusto', 'space': 'sitio', 'endive': 'escarola', 'noble': 'noble', 'figurative': 'figurado', 'modern': 'moderno', 'acting': 'actuaci\xf3n', 'crystal': 'Crystal', 'perspiration': 'sudor', 'subject': 'materia', 'fat': 'grasa', 'boring': 'aburrido', 'personal': 'propio', 'fan': 'seguidor', 'marmelade': 'mermelada', 'hour': 'hora', 'pressure': 'presi\xf3n', 'claim': 'pretensi\xf3n', 'gum': 'enc\xeda', 'gun': 'escopeta', 'move': 'moverse', 'plain': 'llanura', 'attain': 'procurarse', 'beacon': 'baliza', 'revision': 'revisi\xf3n', 'starvation': 'hambre', 'nerve': 'nervio', 'fancy': 'fantas\xeda', 'season': 'estaci\xf3n', 'chewing': 'chicle', 'nap': 'siesta', 'tummy': 'vientre', 'nay': 'no', 'diffusion': 'difusi\xf3n', 'feline': 'felinos', 'continuously': 'siempre', 'necessary': 'necesario', 'insistence': 'instancia', 'election': 'elecci\xf3n', 'savage': 'fiero', 'album': '\xe1lbum', 'swing': 'columpio', 'fragrance': 'olor', 'swine': 'cerdo', 'habit': 'costumbre', 'faithfulness': 'lealtad', 'certainty': 'evidencia', 'discrimination': 'discriminaci\xf3n', 'rope': 'cuerda', 'thread': 'hilo', 'yard': 'patio', 'chilli': 'aj\xed', 'yarn': 'hilo', 'undress': 'bata', 'threat': 'amenaza', 'paragraph': 'p\xe1rrafo', 'science': 'ciencia', 'chilly': 'fr\xedo', 'agrarian': 'agrario', 'inference': 'conclusi\xf3n', 'arthritis': 'gota', 'affinity': 'simpat\xeda', 'beginning': 'comienzo', 'handwriting': 'letra', 'partner': 'socio', 'degree': 'grado', 'name': 'nombre', 'greatgrandson': 'bisnieto', 'shifting': 'llaveinglesa', 'phone': 'cabinatelef\xf3nica', 'christ': 'cristo', 'accent': 'dejo', 'attention': 'atenci\xf3n', 'antitrade': 'discriminaci\xf3n sindical', 'beneath': 'debajode', 'formerly': 'delante', 'core': 'coraz\xf3n', 'cord': 'cuerda', 'charming': 'lindo', 'corn': 'ma\xedz', 'fervor': 'celo', 'corp': 'corporaci\xf3n', 'insect': 'insecto', 'steamship': 'barcodevapor', 'acquisitive': '\xe1vido', 'avenue': 'avenida', 'indicator': 'indicador', 'waiter': 'camarero', 'scythe': 'guada\xf1a', 'drawer': 'caj\xf3n', 'champion': 'campe\xf3n', 'regularly': 'amenudo', 'french': 'franc\xe9s', 'grey': 'pardo', 'manifestation': 'manifestaci\xf3n', 'amusing': 'divertido', 'frontier': 'frontera', 'pink': 'rosado', 'pine': 'pino', 'philippines': 'islasfilipinas', 'colonel': 'coronel', 'food': 'comida', 'abort': 'provocarunaborto', 'kick': 'saquedecomienzo', 'gruesome': 'horroroso', 'foot': 'pie', 'tar': 'alquitr\xe1n', 'tap': 'grifo', 'concerto': 'concierto', 'tat': 'ojo por ojo', 'tax': 'impuesto', 'tag': 'etiqueta', 'figment': 'producto', 'quantity': 'cantidad', 'shortness': 'asma', 'delusive': 'falaz', 'optimism': 'optimismo', 'censor': 'censor', 'refusal': 'rechazo', 'admission': 'ingreso', 'maximum': 'm\xe1ximo', 'separation': 'separaci\xf3n', 'pedestrian': 'peat\xf3n', 'wife': 'esposa', 'paperback': 'folleto', 'condom': 'preservativo', 'france': 'francia', 'canary': 'canario', 'ill': 'fatal', 'coarse': '\xe1spero', 'quick': 'r\xe1pido', 'lentil': 'lenteja', 'genetics': 'gen\xe9tica', 'cuckoo': 'cuco', 'zoo': 'jard\xednzool\xf3gico', 'working': 'trabajador', 'wave': 'ola', 'lyric': 'texto', 'lawsuit': 'proceso', 'continual': 'continuo', 'respiration': 'respiraci\xf3n', 'benefactress': 'benefactora', 'left': 'izquierda', 'consulate': 'consulado', 'gall': 'bilis', 'sheriff': 'aguacil', 'node': 'nudo', 'bladder': 'vejiga', 'lapland': 'laponia', 'antifreeze': 'anticongelante', 'almound': 'pasteldealmendra', 'deacon': 'di\xe1cono', 'disciple': 'disc\xedpulo', 'violin': 'viol\xedn', 'heat': 'calor', 'concave': 'hueco', 'stink': 'olermal', 'advance': 'aproximarse', 'sting': 'picadura', 'wet': 'mojado', 'garage': 'garaje', 'lounge': 'tresillo', 'ease': 'facilidad', 'easy': 'f\xe1cil', 'thrift': 'ahorro', 'east': 'este', 'aluminum': 'aluminio', 'postman': 'cartero', 'task': 'tarea', 'shed': 'puesto', 'water': 'agua', 'misconception': 'equivocaci\xf3n', 'hooter': 'bocina', 'barometer': 'bar\xf3metro', 'sandal': 'sandalia', 'confession': 'declaraci\xf3n', 'stew': 'estofadodecarneh\xfangaro', 'blank': 'hoja', 'russian': 'ruso', 'conviction': 'convicci\xf3n', 'ceiling': 'cielo', 'israelian': 'israel\xed', 'prussia': 'prusia', 'breed': 'raza', 'in': 'precipitadamente', 'if': 'si', 'stocking': 'media', 'agriculture': 'agricultura', 'than': 'que', 'sparrow': 'gorri\xf3n', 'asphalt': 'asfalto', 'gratitude': 'gratitud', 'watcher': 'mirador', 'bowl': 'taza', 'instinct': 'instinto', 'stamp': 'sello', 'dictator': 'dictador', 'chorus': 'coro', 'invasion': 'invasi\xf3n', 'mutual': 'mutua', 'bedstead': 'camita', 'double': 'doble', 'tumor': 'tumor', 'gaiter': 'polaina', 'ability': 'facultad', 'performer': 'artista', 'errand': 'encargo', 'yonder': 'all\xed', 'precise': 'preciso', 'plough': 'arado', 'imagine': 'figurarse', 'wrong': 'malo', 'dark': 'oscuro', 'usual': 'universal', 'dare': 'atreverse', 'bengal': 'luzdebengala', 'handicap': 'impedimento', 'society': 'sociedad', 'pruning': 'podadera', 'associate': 'unirse', 'coolness': 'fresco', 'romanian': 'rumano', 'reduction': 'reducci\xf3n', 'youth': 'juventud', 'sovereignty': 'soberan\xeda', 'week': 'semana', 'weed': 'hierba', 'possible': 'posible', 'bilge': 'alcantarilla', 'biscuit': 'galleta', 'twin': 'gemelos', 'possibly': 'talvez', 'parallel': 'paralelo', 'coming': 'proveniente', 'entrance': 'ingreso', 'costa': 'costarica', 'past': 'pasado', 'mountain': 'monte', 'carefulness': 'cuidado', 'gratefulness': 'agradecimiento', 'expression': 'expresi\xf3n', 'reunion': 'reuni\xf3n', 'litre': 'litro', 'sixteen': 'diezyseis', 'adventurer': 'aventurero', 'fatigue': 'fatiga', 'backward': 'retr\xf3grado', 'center': 'centro', 'pound': 'libra', 'mustache': 'bigote', 'corruption': 'corrupci\xf3n', 'cold': 'fr\xedo', 'pardon': 'perd\xf3n', 'grape': 'uva', 'amber': '\xe1mbaramarillo', 'bulgar': 'b\xfalgaro', 'procession': 'procesi\xf3n', 'bookseller': 'librero', 'before': 'delantede', 'quicksands': 'arenasmovedizas', 'sensitive': 'sensible', 'dressing': 'camarera', 'ignition': 'ignici\xf3n', 'fa': 'front\xf3n', 'annunciation': 'anunciaci\xf3n', 'midday': 'mediod\xeda', 'disturbance': 'molestia', 'provided': 'si', 'computation': 'c\xf3mputo', 'gravity': 'gravedad', 'blind': 'ciego', 'adaptation': 'adaptaci\xf3n', 'dues': 'cuota', 'pilgrimage': 'romer\xeda', 'monstrosity': 'monstruo', 'stream': 'corriente', 'hastily': 'precipitadamente', 'separately': 'porseparado', 'upheaval': 'trastorno', 'quite': 'muy', 'stallion': 'caballopadre', 'bye': 'hastaluego', 'trace': 'pista', 'probe': 'sonda', 'track': 'circuito', 'treatment': 'trato', 'parents': 'padreymadre', 'christmas': 'navidad', 'ballet': 'ballet', 'ink': 'tinta', 'tasty': 'rico', 'drawback': 'inconveniente', 'inn': 'albergue', 'failure': 'fracaso', 'friendly': 'simp\xe1tico', 'brick': 'ladrillo', 'exam': 'examen', 'little': 'pocoapoco', 'flat': 'plano', 'assassination': 'asesinato', 'roasted': 'asado', 'fruit': 'fruto', 'flag': 'bandera', 'fifth': 'quinto', 'foolish': 'zote', 'properly': 'comoesdebido', 'barrack': 'cobertizo', 'worry': 'preocupaci\xf3n', 'speed': 'rapidez', 'translation': 'traducci\xf3n', 'government': 'gobierno', 'windmill': 'molino', 'white': 'blanco', 'austrian': 'austriaco', 'bastard': 'bastardo', 'careless': 'descuidado', 'lawn': 'batista', 'meager': 'pobre', 'consul': 'c\xf3nsul', 'such': 'tal', 'lothringen': 'lorena', 'italian': 'italiano', 'presage': 'ag\xfcero', 'device': 'aparato', 'beef': 'carnedevaca', 'amnio': 'amniocentesis', 'couch': 'lecho', 'arrivals': 'aprovisionamiento', 'jewel': 'joya', 'visitor': 'visita', 'beet': 'remolacha', 'beer': 'cerveza', 'coffee': 'caf\xe9', 'interference': 'molestia', 'absolutely': 'verdaderamente', 'sebastien': 'sebastien', 'swamp': 'terrenopantanoso', 'fourteen': 'catorce', 'point': 'punto', 'constant': 'continuo', 'strength': 'fortaleza', 'town': 'villa', 'landing': 'desembarcadero', 'strangler': 'estrangulador', 'watch': 'reloj', 'opposition': 'resistencia', 'pocket': 'bolsillo', 'furniture': 'mueble', 'gherkin': 'pepino', 'hold': 'valoraren', 'hole': 'zanja', 'finding': 'hallazgo', 'peril': 'peligro', 'February': 'febrero', 'mailbox': 'buz\xf3n', 'approximately': 'cercade', 'quickly': 'pronto', 'tatoo': 'tatuajes', 'dialogue': 'di\xe1logo', 'headquarters': 'central', 'killer': 'asesino', 'boutique': 'tienda', 'waiting': 'servicio', 'mitten': 'guante', 'sturgeon': 'sollo', 'chat': 'charla', 'twins': 'gemelos', 'appropriate': 'conveniente', 'incorporation': 'incorporaci\xf3n', 'snifter': 'aperitivo', 'counter': 'mostrador', 'tiresome': 'aburrido', 'belgium': 'b\xe9lgica', 'saxony': 'sajonia', 'meme': 'meme', 'satisfied': 'contento', 'foam': 'espuma', 'tranquil': 'tranquilo', 'wrist': 'mu\xf1eca', 'generosity': 'generosidad', 'moustache': 'bigoti', 'vice': 'virtud', 'neighbor': 'vecino', 'wavering': 'vacilaci\xf3n', 'summons': 'citaci\xf3n', 'clerk': 'empleado', 'archbishop': 'arzobispo', 'spain': 'espa\xf1a', 'confidence': 'confianza', 'cavalry': 'caballer\xeda', 'classroom': 'aula', 'friesland': 'frisia', 'turned': 'piernastorcidashaciaafuera', 'year': 'a\xf1o', 'corridor': 'pasillo', 'table': 'tabla', 'towel': 'toalla', 'infectious': 'contagioso', 'tower': 'torre', 'neighborhood': 'barrio', 'cuddly': 'zalamero', 'balkans': 'balkanes', 'pronunciation': 'pronunciaci\xf3n', 'mealies': 'ma\xedz', 'angle': '\xe1ngulo', 'aggrandizement': 'ampliaci\xf3n', 'win': 'victoria', 'belly': 'vientre', 'latvia': 'letonia', 'virgin': 'virgen', 'filter': 'filtro', 'cuddlesome': 'zalamero', 'regrettable': 'deplorable', 'regrettably': 'esunal\xe1stima', 'rhinoceros': 'rinceronte', 'ecuador': 'ecuador', 'serious': 'serio', 'brim': 'borde', 'terrain': 'terreno', 'artery': 'arteria', 'brace': 'puntal', 'tobacco': 'tabaco', 'thank': 'gracias', 'direction': 'direcci\xf3n', 'pin': 'pin', 'deaconess': 'deaconess', 'atlas': 'atlas', 'force': 'intensidad', 'growl': 'rugido', 'grown': 'cubiertodeverdor', 'accomplishment': 'acci\xf3n', 'letter': 'letra', 'architect': 'arquitecto', 'benefit': 'ventaja', 'eskimo': 'esquimal', 'for': 'yaque', 'enemy': 'enemigo', 'form': 'moda', 'scheldt': 'escalda', 'fox': 'zorro', 'abate': 'sosegarse', 'fog': 'niebla', 'fame': 'gloria', 'thisle': 'cardo', 'christianity': 'cristianismo', 'forks': 'cubierto', 'junk': 'porquer\xeda', 'evidence': 'testimonio', 'june': 'junio', 'flute': 'flauta', 'ophtalmologist': 'oculista', 'outset': 'umbral', 'accompaniment': 'acompa\xf1amiento', 'halfway': 'media', 'leg': 'pierna', 'monday': 'lunes', 'housetop': 'tejado', 'led': 'led', 'australia': 'australia', 'playpen': 'jaula', 'mashed': 'pur\xe9depatatas', 'official': 'oficial', 'rigid': 'rigido', 'parisian': 'parisiense', 'producer': 'productor', 'removal': 'desplazamiento', 'distinction': 'distinci\xf3n', 'capacity': 'capacidad', 'electrocardiographic': 'electrocardiograma', 'alarm': 'alarma', 'eight': 'ochocientos', 'barefoot': 'descalzo', 'third': 'tercio', 'incarceration': 'condena', 'sense': 'sensaci\xf3n', 'plenty': 'mucho', 'guatemala': 'guatemala', 'resources': 'medio', 'predominant': 'principal', 'caressing': 'zalamero', 'phlegm': 'flema', 'eat': 'comerse', 'ear': 'o\xeddo', 'algebra': '\xe1lgebra', 'fabric': 'tela', 'legislation': 'legislaci\xf3n', 'civil': 'civil', 'pineapple': 'pi\xf1a', 'cushion': 'almohada', 'formation': 'desfile', 'conservation': 'conservaci\xf3n', 'feat': 'haza\xf1a', 'highschool': 'colegio', 'jest': 'broma', 'fishing': 'pesca', 'audience': 'p\xfablico', 'weekly': 'semanalmente', 'courageous': 'bravo', 'function': 'funci\xf3n', 'mediterranean': 'mediterr\xe1neo', 'attribute': 'cualidad', 'supper': 'cena', 'shape': 'forma', 'dram': 'aperitivo', 'discharge': 'disparo', 'front': 'frente', 'backwards': 'retroceso', 'borrowing': 'pr\xe9stamo', 'dependent': 'dependiente', 'promise': 'promesa', 'motive': 'motivo', 'noun': 'nombre', 'cane': 'bast\xf3n', 'robbery': 'robo', 'rigidity': 'rigidez', 'destroyer': 'destructor', 'ejection': 'expulsi\xf3n', 'wallet': 'portamonedas', 'nurse': 'enfermero', 'landlord': 'due\xf1o', 'horseradish': 'r\xe1banopicante', 'april': 'abril', 'ghent': 'gante', 'dna': 'adn', 'square': 'plaza', 'alien': 'horroroso', 'red': 'rojo', 'curve': 'curva', 'dim': 'oscuro', 'parsley': 'perejil', 'bookshop': 'librer\xeda', 'energy': 'virtud', 'bark': 'corteza', 'injustice': 'injusticia', 'pledge': 'dinerodelembase', 'quiet': 'tranquilidad', 'bough': 'rama', 'advertisement': 'anuncio', 'fitting': 'conveniente', 'falcon': 'halc\xf3n', 'onion': 'cebolla', 'pony': 'poney', 'slender': 'fino', 'hindrance': 'molestia', 'which': 'que', 'moving': 'conmovedor', 'gasolene': 'gasolina', 'arch': 'arzo\u2010', 'pond': 'estanque', 'just': 's\xf3lo', 'lake': 'lago', 'mistletoe': 'mu\xe9rdago', 'cambric': 'batista', 'skilful': 'h\xe1bil', 'compensation': 'compensaci\xf3n', 'width': 'ancho', 'ally': 'aliado', 'allusion': 'referencia', 'diploma': 'bachillerato', 'sword': 'espada', 'sustained': 'continuo', 'outer': 'neum\xe1tico', 'flower': 'flor', 'amenity': 'esparcimiento', 'collaboration': 'colaboraci\xf3n', 'minimum': 'm\xednimo', 'catalogue': 'cat\xe1logo', 'beside': 'cercade', 'capperton': 'capperton', 'verge': 'lisera', 'garlic': 'ajo', 'bartender': 'barman', 'exaggeration': 'exageraci\xf3n', 'frying': 'sart\xe9n', 'collapse': 'fracaso', 'clubhouse': 'club', 'expanse': 'extensi\xf3n', 'activity': 'acci\xf3n', 'communion': 'comuni\xf3n', 'pilot': 'piloto', 'vain': 'hueco', 'clothes': 'ropa', 'grow': 'hacerse', 'empire': 'imperio', 'access': 'acceso', 'spider': 'ara\xf1a', 'loved': 'querido', 'abode': 'domicilio', 'foul': 'falta', 'betrayal': 'traici\xf3n', 'lover': 'amante', 'cultivation': 'explotaci\xf3n', 'four': 'cuatro', 'bleacher': 'batanero', 'afraid': 't\xedmido', 'declaration': 'declaraci\xf3n', 'maxim': 'm\xe1xima', 'drunkenness': 'embriaguez', 'runaway': 'runaway', 'labor': 'bolsadetrabajo', 'factory': 'industria', 'saviour': 'salvador', 'solitude': 'soledad', 'sour': 'brusko', 'ideal': 'ideal', 'soup': 'sopa', 'indifference': 'frialdad', 'formula': 'f\xf3rmula', 'whiskers': 'patillas', 'characteristic': 'caracter\xedstica', 'measurement': 'tama\xf1o', 'agree': 'estardeacuerdocon', 'cactus': 'cacto', 'nanny': 'ni\xf1era', 'mention': 'menci\xf3n', 'trinity': 'trinidad', 'strike': 'golpe', 'democracy': 'democracia', 'dragon': 'drag\xf3n', 'intensive': 'violento', 'grandson': 'nieto', 'digestion': 'digesti\xf3n', 'straight': 'seguido', 'cramped': 'estrecho', 'andorra': 'andorra', 'robust': 's\xf3lido', 'abc': 'alfabeto', 'damaged': 'estropeado', 'photographer': 'fot\xf3grafo', 'conflagration': 'incendio', 'sassenach': 'ingl\xe9s', 'contest': 'competencia', 'contractor': 'destajista', 'datum': 'dato', 'hindu': 'hind\xfa', 'answer': 'soluci\xf3n', 'disaster': 'desastre', 'contents': 'contenido', 'cyclone': 'cicl\xf3n', 'whim': 'capricho', 'term': 't\xe9rmino', 'lapsed': 'decr\xe9pito', 'almanac': 'calendario', 'acuity': 'atenci\xf3n', 'rocket': 'cohete', 'salted': 'carnesalada', 'calm': 'tranquilo', 'call': 'llamado', 'calf': 'ternero', 'danger': 'peligro', 'insanity': 'locura', 'soldier': 'soldado', 'accessible': 'alcanzable', 'malay': 'malayo', 'citation': 'citaci\xf3n', 'cherry': 'cereza', 'interpreter': 'int\xe9rprete', 'falkland': 'islasmalvinas', 'fit': 'apoplej\xeda', 'boy': 'muchacho', 'box': 'caja', 'stiffling': 'oprimido', 'football': 'f\xfatbol', 'fix': 'soluci\xf3n', 'bon': 'bomb\xf3n', 'fig': 'higuera', 'safety': 'seguridad', 'fin': 'aleta', 'ironing': 'tabla', 'depository': 'dep\xf3sito', 'airbed': 'hinchable', 'central': 'central', 'insurgent': 'rebelde', 'chestnut': 'casta\xf1o', 'pose': 'serpresuntuoso', 'consolation': 'consuelo', 'interpreting': 'interpretaci\xf3n', 'regulations': 'reglamento', 'lorry': 'cami\xf3n', 'post': 'poste', 'weapon': 'arma', 'littleboy': 'ni\xf1o', 'widow': 'viuda', 'july': 'julio', 'linden': 'tilo', 'variation': 'variaci\xf3n', 'gourd': 'calabaza', 'sufficiently': 'bastante', 'staffing': 'personal', 'israelite': 'jud\xedo', 'moan': 'dol\xeda', 'limp': 'cojera', 'want': 'necesidad', 'lime': 'tilo', 'swift': 'r\xe1pido', 'limb': 'rama', 'combination': 'combinaci\xf3n', 'delinquent': 'delincuente', 'head': 'cabeza', 'waive': 'renunciara', 'artichoke': 'alcachofa', 'tribute': 'homenaje', 'reader': 'lector', 'heap': 'mont\xf3n', 'rank': 'jerarqu\xeda', 'hear': 'o\xedr', 'pole': 'palo', 'eyebrow': 'ceja', 'spurt': 'chorro', 'polo': 'polo', 'lame': 'cojo', 'certainly': 'ciertamente', 'announcement': 'anuncio', 'lamb': 'cordero', 'one': 'unoymedio', 'institute': 'instituto', 'beige': 'beige', 'lamp': 'l\xe1mpara', 'multitude': 'multitud', 'portuguese': 'portugu\xe9s', 'antique': 'antiguo', 'knight': 'caballero', 'astronomer': 'astr\xf3nomo', 'zest': '\xe1nimo', 'plunder': 'saco', 'itch': 'picaz\xf3n', 'turk': 'turco', 'turn': 'vuelta', 'collaborator': 'colaborador', 'geographer': 'ge\xf3grafo', 'voting': 'balotaje', 'comet': 'cometa', 'shark': 'tibur\xf3n', 'heart': 'coraz\xf3n', 'foolishness': 'tonter\xeda', 'share': 'porci\xf3n', 'exterior': 'vista', 'sultry': 'oprimido', 'sauce': 'salsa', 'sharp': 'justamente', 'mitre': 'mitra', 'oppressive': 'oprimido', 'superficial': 'somero', 'asbestos': 'amianto', 'monument': 'monumento', 'single': 'soltero', 'drugstore': 'farmacia', 'nave': 'carretederueda', 'printing': 'impresi\xf3n', 'frenchman': 'franc\xe9s', 'moses': 'mois\xe9s', 'vistula': 'v\xedstula', 'navy': 'marina', 'vermouth': 'vermut', 'wiring': 'cable', 'fowl': 'gallina', 'courgette': 'calabac\xedn', 'matter': 'materia', 'why': 'porqu\xe9', 'poster': 'cartel', 'joint': 'com\xfan', 'surprise': 'sorpresa', 'bedspread': 'colchadecama', 'assassin': 'asesino', 'visit': 'visita', 'object': 'objeto', 'surpriser': 'sorprendero', 'understandable': 'inteligible', 'pseudonym': 'seud\xf3nimo', 'amsterdam': 'amsterdam', 'knock': 'llamada', 'surinam': 'surinam', 'vicinity': 'alrededor', 'heavy': 'pesado', 'student': 'estudiante', 'alike': 'semejante', 'criterion': 'criterio', 'carrier': 'portador', 'rodeo': 'rodeo', 'ballot': 'balotaje', 'small': 'peque\xf1o', 'insurer': 'asegurador', 'pointed': 'puntiagudo', 'shotgun': 'escopeta', 'railing': 'balaustrada', 'wine': 'oro', 'wind': 'viento', 'wing': 'ala', 'antilles': 'antillas', 'nationality': 'nacionalidad', 'imitation': 'imitaci\xf3n', 'amount': 'suma', 'smile': 'sonrisa', 'overlay': 'plantilla', 'negotiation': 'negociaci\xf3n', 'abbey': 'abad\xeda', 'costume': 'traje', 'turnip': 'nabo', 'duchess': 'duquesa', 'miscellaneous': 'todaclasede', 'finland': 'finlandia', 'inside': 'interior', 'stupid': 'zote', 'norwegian': 'noruego', 'lens': 'lente', 'swede': 'sueco', 'monologue': 'mon\xf3logo', 'electroencephalography': 'electroencefalograma', 'pillar': 'columna', 'friend': 'amiga', 'literatue': 'literatura', 'stiff': 'rigido', 'tourist': 'turista', 'canyon': 'ca\xf1\xf3n', 'stenotypist': 'mecan\xf3grafa', 'tourism': 'turismo', 'switzerland': 'suiza', 'fate': 'fortuna', 'cult': 'culto', 'ad': 'anuncio', 'an': 'una', 'cub': 'cachoro', 'ah': 'ay', 'at': 'porlom\xe1s', 'as': 'ytambi\xe9n', 'intend': 'tenerelprop\xf3sito', 'generational': 'generacional', 'aggression': 'ataque', 'tunic': 't\xfanica', 'foundation': 'fundaci\xf3n', 'harshness': 'crueldad', 'agent': 'agente', 'officer': 'oficial', 'tunis': 't\xfanez', 'hate': 'odio', 'fair': 'verbena', 'bas': 'bajorrelieve', 'bar': 'taburete', 'climate': 'clima', 'pencil': 'l\xe1piz', 'bay': 'bah\xeda', 'drop': 'ca\xedda', 'asian': 'asi\xe1tico', 'host': 'anfitri\xf3n', 'bag': 'bolso', 'ban': 'anatema', 'pulsation': 'pulso', 'phenomenal': 'fenomenal', 'meteor': 'meteoro', 'adjoining': 'vecino', 'replacement': 'suplemento', 'hospitality': 'hospitalidad', 'manufacture': 'f\xe1brica', 'binding': 'encuadernaci\xf3n', 'ussr': 'uni\xf3nsovi\xe9tica', 'hostel': 'albergue', 'occiput': 'occipucio', 'bold': 'grueso', 'apparent': 'demostrable', 'online': 'enl\xednea', 'therefore': 'poreso', 'neural': 'neural', 'brush': 'cepillo', 'carnage': 'matanza', 'genoa': 'g\xe9nova', 'parthian': 'parte', 'o': 'hora', 'wrench': 'llave', 'breath': 'respiraci\xf3n', 'silver': 'plata', 'expense': 'gasto', 'wardrobe': 'armarioropero', 'optician': '\xf3ptico', 'vampire': 'vampiro', 'nobody': 'ninguno', 'deceiver': 'embustero', 'music': 'm\xfasica', 'person': 'individuo', 'metre': 'metro', 'alarming': 'grave', 'excess': 'exceso', 'vegetable': 'vegetal', 'snarl': 'dardentelladasa', 'filing': 'archivo', 'snare': 'astucia', 'gringe': 'gringe', 'pause': 'pausa', 'irish': 'irland\xe9s', 'photo': 'foto', 'princess': 'princesa', 'eel': 'anguila', 'ivory': 'marfil', 'feed': 'alimentaci\xf3n', 'splinter': 'astilla', 'feel': 'sentirse', 'teenager': 'joven', 'feet': 'pies', 'earthenware': 'loza', 'test': 'prueba', 'fuzzy': 'brumoso', 'psychiatrist': 'psiquiatra', 'conjecture': 'especulaci\xf3n', 'lookout': 'guardia', 'dance': 'danza', 'shorts': 'pantal\xf3ncorto', 'boiled': 'huevofrito', 'israeli': 'israel\xed', 'composed': 'due\xf1odes\xedmismo', 'signal': 'se\xf1al', 'convention': 'congreso', 'motherhood': 'maternidad', 'nice': 'rico', 'wantonness': 'petulancia', 'doctor': 'm\xe9dico', 'relation': 'relaci\xf3n', 'supposing': 'dadoque', 'boredom': 'aburrimiento', 'suspicion': 'sospecha', 'gateway': 'puerta', 'less': 'menosymenos', 'hub': 'tapon', 'hug': 'abrazo', 'dejected': 'desanimado', 'athlete': 'atleta', 'resum': 'resumen', 'athletic': 'atl\xe9tico', 'fateful': 'fatal', 'hut': 'cabana', 'autobus': 'autob\xfas', 'bullet': 'plomo', 'tailor': 'sastre', 'dock': 'muelle', 'fondness': 'afecto', 'particle': 'part\xedcula', 'august': 'agosto', 'immunohistochemistry': 'inmunohistoqu\xedmica', 'iberian': 'ib\xe9rico', 'candlestick': 'candelero', 'generation': 'generaci\xf3n', 'superscription': 't\xedtulo', 'policy': 'pol\xedtica', 'censurable': 'reprobable', 'thermos': 'termos', 'habitat': 'habitaci\xf3n', 'swiftly': 'pronto', 'veal': 'carnedeternera', 'duro': 'duro', 'bedding': 'ropadelacama', 'parish': 'parroquia', 'principle': 'principio', 'abuse': 'abuso', 'bairn': 'ni\xf1o', 'expertness': 'destreza', 'confront': 'oponerse', 'chinaman': 'chino', 'frustration': 'frustraci\xf3n', 'will': 'voluntad', 'wild': 'jabal\xed', 'algiers': 'argel', 'exit': 'salida', 'hyaena': 'hiena', 'suburbs': 'afueras', 'balearic': 'islasbaleares', 'bad': 'l\xedo', 'mood': 'humor', 'greenery': 'verdura', 'moon': 'luna', 'anniversary': 'aniversario', 'notification': 'aviso', 'wall': 'muro', 'moor': 'moro', 'lion': 'le\xf3n', 'intestines': 'intestinos', 'tup': 'carnero', 'saleswoman': 'vendedora', 'environs': 'alrededores', 'commander': 'comandante', 'nimwegen': 'nimega', 'confess': 'confesar', 'nipple': 'pez\xf3n', 'stability': 'estabilidad', 'sculptor': 'escultor', 'astrophysics': 'astrof\xedsica', 'old': 'viejo', 'cargo': 'carga', 'alps': 'alpes', 'humanity': 'humanidad', 'hooker': 'puta', 'horizon': 'horizonte', 'community': 'comunidad', 'upon': 'sobre', 'cuba': 'cuba', 'undergarment': 'combinaci\xf3n', 'liquor': 'alcohol', 'farm': 'rancho', 'invitation': 'invitaci\xf3n', 'glad': 'alegre', 'proper': 'preciso', 'show': 'espect\xe1culo', 'skeleton': 'esqueleto', 'shot': 'bala', 'shop': 'tienda', 'hearing': 'o\xeddo', 'blade': 'navaja', 'siege': 'sitio', 'shoe': 'zapato', 'place': 'sitio', 'view': 'vista', 'indictment': 'cargo', 'wharf': 'and\xe9n', 'throne': 'trono', 'yule': 'navidad', 'barrier': 'reja', 'banner': 'bandera', 'different': 'divergente', 'publisher': 'editor', 'interview': 'entrevista', 'stove': 'estufa', 'media': 'medio', 'have': 'tenerque', 'assailant': 'atacador', 'yellow': 'amarillo', 'correct': 'raz\xf3n', 'greediness': 'deseo', 'goal': 'ideal', 'circumference': 'per\xedmetro', 'chip': 'ficha', 'automoton': 'autom\xe1tico', 'german': 'alem\xe1n', 'chin': 'barba', 'session': 'sesi\xf3n', 'goat': 'cabra', 'ancestor': 'antepasado', 'chic': 'elegante', 'miss': 'se\xf1orita', 'qualification': 'calificaci\xf3n', 'rehab': 'rehabilitaci\xf3n', 'delay': 'retraso', 'hedge': 'tijeraparasetos', 'reproduction': 'reproducci\xf3n', 'omnipotent': 'todopoderoso', 'actor': 'actor', 'needle': 'aguja', 'lucifer': 'sat\xe1n', 'drinking': 'aguapotable', 'professor': 'profesor', 'council': 'consejo', 'excrement': 'mierda', 'potato': 'papa', 'young': 'joven', 'mom': 'mam\xe1', 'mankind': 'humanidad', 'fungus': 'seta', 'merchandise': 'mercanc\xeda', 'difference': 'variante', 'basis': 'base', 'balance': 'equilibrio', 'october': 'octubre', 'peseta': 'peseta', 'salary': 'sueldo', 'abandonment': 'cesi\xf3n', 'exactly': 'justamente', 'learning': 'estudio', 'periphery': 'per\xedmetro', 'proceedings': 'procedimiento', 'phase': 'fase', 'coach': 'coche', 'sign': 'se\xf1al', 'apostle': 'ap\xf3stol', 'motion': 'pel\xedcula', 'ought': 'tenerque', 'buyer': 'comprador', 'artilleryman': 'artillero', 'yearly': 'anualmente', 'apocryphal': 'ap\xf3crifo', 'rampart': 'muro', 'africa': '\xe1frica', 'falklands': 'islasmalvinas', 'midnight': 'medianoche', 'million': 'mill\xf3n', 'retention': 'conservaci\xf3n', 'banquet': 'banquete', 'bulge': 'protuberancia', 'decline': 'retroceso', 'fourth': 'cuarto', 'suitcase': 'maletademano', 'zinc': 'zinc', 'archer': 'arquero', 'ribbon': 'cinta', 'heartburn': 'acidezdeest\xf3mago', 'jessamine': 'jessamine', 'childhood': 'infancia', 'stanchion': 'poste', 'abacus': '\xe1baco', 'letterbox': 'buz\xf3n', 'comparison': 'comparaci\xf3n', 'cabin': 'camarote', 'polytetrafluoroethylene': 'politetrafluoroetileno', 'display': 'exposici\xf3n', 'delight': 'placer', 'unclean': 'sucio', 'approval': 'aceptaci\xf3n', 'admixture': 'mezcla', 'fee': 'cargo', 'limited': 'limitado', 'nearly': 'casi', 'passageway': 'paso', 'technics': 't\xe9cnica', 'scenario': 'escenario', 'laggard': 'rezagado', 'poultry': 'aves', 'drip': 'gota', 'intheend': 'final', 'knife': 'cuchillo', 'barracks': 'cuartel', 'critic': 'cr\xedtico', 'leather': 'duro', 'apostate': 'ap\xf3stata', 'punishment': 'castigo', 'net': 'red', 'new': 'nuevo', 'curse': 'maldici\xf3n', 'picture': 'foto', 'standard': 'norma', 'into': 'por', 'bureau': 'escritorio', 'strawberry': 'fresa', 'excursion': 'excursi\xf3n', 'pincers': 'tenazas', 'souvenir': 'recuerdo', 'yesterday': 'ayer', 'rigor': 'rigor', 'bond': 'enlace', 'bone': 'hueso', 'turnpike': 'autov\xeda', 'aix': 'aquisgr\xe1n', 'air': 'aire', 'negative': 'negativo', 'compass': 'comp\xe1s', 'aim': 'finalidad', 'marble': 'm\xe1rmol', 'aid': 'ayuda', 'deck': 'cubierta', 'detective': 'detective', 'maid': 'criada', 'flea': 'rastro', 'main': 'principal', 'reply': 'respuesta', 'iceland': 'islandia', 'aeroplane': 'avi\xf3n', 'jack': 'gato', 'massage': 'masaje', 'type': 'tipo', 'exile': 'exilio', 'oceania': 'ocean\xeda', 'engine': 'motor', 'nostalgia': 'nostalgia', 'aerobics': 'ejercicio', 'responsibility': 'responsabilidad', 'electroencephalogram': 'electroencefalograma', 'devotion': 'dedicaci\xf3n', 'warfare': 'guerra', 'phosphatidylinositol': 'fosfatidilinositol', 'vinegar': 'vinagre', 'material': 'tela', 'sleep': 'sue\xf1o', 'station': 'estaci\xf3n', 'swimming': 'piscina', 'organism': 'microorganismo', 'throat': 'garganta', 'annoyance': 'disgusto', 'technology': 'tecnolog\xeda', 'demand': 'exigencia', 'thigh': 'muslo', 'noise': 'ruido', 'lowering': 'descenso', 'challenge': 'desaf\xedo', 'orthography': 'ortograf\xeda', 'mirror': 'espejo', 'suitability': 'disposici\xf3n', 'allocation': 'asignaci\xf3n', 'individual': 'particular', 'cot': 'camitadeni\xf1o', 'rental': 'alquiler', 'gorge': 'garganta', 'clergyman': 'cura', 'interchange': 'intercambio', 'line': 'l\xednea', 'ownership': 'propiedad', 'prejudice': 'prejuicio', 'letdown': 'desilusi\xf3n', 'melting': 'deshielo', 'component': 'ingrediente', 'fish': 'pez', 'time': 'vez', 'fist': 'pu\xf1o', 'battlefront': 'front\xf3n', 'annals': 'anales', 'broad': 'ancho', 'restrained': 'due\xf1odes\xedmismo', 'cause': 'origen', 'conductor': 'conductor', 'sideboard': 'armario', 'obedience': 'obediencia', 'dilapidated': 'decr\xe9pito', 'tissue': 'tejido', 'oxygen': 'ox\xedgeno', 'illiterate': 'analfabeto', 'electroencephalographic': 'electroencefalogr\xef', 'altruism': 'altruismo', 'gulden': 'florin', 'telescope': 'telescopio', 'toy': 'juguete', 'chilean': 'chileno', 'revive': 'reponerse', 'top': 'cumbre', 'lighter': 'mechero', 'too': 'tambi\xe9n', 'ton': 'tonelada', 'pipe': 'tubo', 'toe': 'dedo', 'while': 'rato', 'expert': 'experto', 'word': 'palabra', 'notice': 'advertencia', 'disinterested': 'desinteresado', 'worn': 'usado', 'worm': 'gusano', 'work': 'trabajo', 'tomorrow': 'ma\xf1ana', 'ripe': 'maduro', 'elements': 'alfabeto', 'crop': 'cosecha', 'precision': 'precisi\xf3n', 'careful': 'prudente', 'englishwoman': 'inglesa', 'professional': 'profesional', 'destiny': 'destino', 'search': 'b\xfasqueda', 'recline': 'estartendido', 'editorial': 'editorial', 'guelderland': 'g\xfceldres', 'calling': 'llamado', 'factor': 'factor', 'lawyer': 'abogado', 'shout': 'grito', 'ammonia': 'amon\xedaco', 'supply': 'oferta', 'stray': 'extraviarse', 'strap': 'tira', 'abdomen': 'vientre', 'repentance': 'arrepentimiento', 'mackerel': 'escombro', 'aerodynamics': 'aerodin\xe1mica', 'entertaining': 'divertido', 'pasture': 'pasto', 'weight': 'peso', 'undoubtedly': 'sinduda', 'fission': 'atomizaci\xf3n', 'three': 'tresveces', 'yam': '\xf1ame', 'allowance': 'subsidio', 'agate': '\xe1gata', 'none': 'ninguno', 'next': 'sucesivo', 'salesperson': 'vendedor', 'lass': 'muchacha', 'snowflake': 'copodenieve', 'czech': 'checo', 'registration': 'inscripci\xf3n', 'galicia': 'galicia', 'dromedary': 'dromedario', 'rooster': 'gallo', 'weakness': 'debilidad', 'pumpkin': 'calabaza', 'writ': 'ordenporescrito', 'cream': 'crema', 'hunting': 'caza', 'tame': 'manso', 'eager': '\xe1vido', 'alexander': 'alejandro', 'waterfall': 'cascada', 'biologist': 'bi\xf3logo', 'timidity': 'timidez', 'congentital': 'innato', 'spite': 'rencor', 'dew': 'roc\xedo', 'storage': 'acumulador', 'disenchantment': 'decepci\xf3n', 'misery': 'miseria', 'cello': 'violoncelo', 'harmony': 'armon\xeda', 'principal': 'director', 'institution': 'instituci\xf3n', 'etiquette': 'etiqueta', 'continuous': 'continuo', 'fulfillment': 'cumplimiento', 'aunt': 't\xeda', 'riotous': 'libertino', 'sexual': 'sexual', 'raspberry': 'frambuesa', 'departure': 'partida', 'maybe': 'talvez', 'saint': 'santa', 'jungle': 'selva', 'christian': 'cristiano', 'palmtree': 'palmera', 'decade': 'd\xe9cada', 'accommodation': 'convenio', 'ashtray': 'cenicero', 'myth': 'mito', 'ball': 'baile', 'balm': 'b\xe1lsamo', 'wage': 'salario', 'gap': 'abismo', 'infection': 'infecci\xf3n', 'gas': 'gas', 'bale': 'fardo', 'licentious': 'libertino', 'cavity': 'seno', 'cognac': 'co\xf1ac', 'stage': 'escenario', 'gag': 'chanza', 'secure': 'seguro', 'perseverance': 'constancia', 'mystery': 'enigma', 'reality': 'realidad', 'nut': 'mariposa', 'tenure': 'permanencia', 'bagasse': 'bagazo', 'nun': 'hermana', 'aluminium': 'aluminio', 'sardina': 'cerde\xf1a', 'oak': 'roble', 'hollow': 'hueco', 'oar': 'remo', 'austria': 'austria', 'abbreviation': 'abreviatura', 'persistence': 'insistencia', 'lady': 'dama', 'racial': 'racista', 'stewardess': 'azafata', 'bouillon': 'caldo', 'behaviour': 'comportamiento', 'holland': 'lospa\xedsesbajos', 'adorned': 'adornado', 'available': 'disponible', 'travel': 'viajes', 'spontaneity': 'naturalidad', 'continent': 'continente', 'sherry': 'jerez', 'protestant': 'protestante', 'bicuit': 'bizcocho', 'heating': 'calefacci\xf3n', 'vine': 'vi\xf1a', 'bedroom': 'dormitorio', 'thanks': 'gracia', 'appointment': 'cita', 'breakfast': 'desayuno', 'reverse': 'rev\xe9s', 'depend': 'dependerde', 'those': 'eso', 'monopoly': 'monopolio', 'tire': 'neum\xe1tico', 'minority': 'minor\xeda', 'ewe': 'oveja', 'sugarbowl': 'azucarero', 'destruction': 'destrucci\xf3n', 'tune': 'melod\xeda', 'tuna': 'at\xfan', 'pedal': 'pedal', 'velvet': 'terciopelo', 'ghost': 'esp\xedritu', 'peruvian': 'peruano', 'sports': 'campodeportivo', 'cuff': 'pu\xf1o', 'arabian': '\xe1rabe', 'mouldy': 'mohoso', 'batiste': 'batista', 'following': 'sucesivo', 'kite': 'cometa', 'tumult': 'ruido', 'aboard': 'abordo', 'renown': 'hambre', 'prince': 'pr\xedncipe', 'wounded': 'herido', 'glory': 'gloria', 'girder': 'viga', 'try': 'intento', 'utility': 'utilidad', 'sidewalk': 'acera', 'practice': 'ejercicio', 'arrive': 'venirdespu\xe9s', 'purchaser': 'comprador', 'polite': 'cort\xe9s', 'bramble': 'zarza', 'plasma': 'plasma', 'thus': 'as\xed', 'accurate': 'preciso', 'infected': 'contagiado', 'seminary': 'seminario', 'though': 'aunque', 'bench': 'banco', 'advancement': 'progreso', 'bull': 'toro', 'grisly': 'l\xfagubre', 'bulk': 'masa', 'bulb': 'ampolla', 'aeronautics': 'aviaci\xf3n', 'snake': 'serpiente', 'crude': 'petr\xf3leo', 'spanish': 'espa\xf1ola', 'observation': 'observaci\xf3n', 'again': 'otravez', 'aesthetic': 'est\xe9tica', 'deliberately': 'deprop\xf3sito', 'moment': 'rato', 'concrete': 'cemento', 'wire': 'hilo', 'housewife': 'ama', 'embarrassment': 'verg\xfcenza', 'chequered': 'acuadros', 'abominable': 'horroroso', 'directory': 'cat\xe1logo', 'a': 'unos', 'board': 'tabla', 'theme': 'trama', 'raft': 'serie', 'antenna': 'antena', 'theory': 'teor\xeda', 'miracle': 'milagro', 'importance': 'importancia', 'tyre': 'neum\xe1tico', 'cunning': 'astucia', 'beach': 'playa', 'brand': 'marca', 'bellboy': 'mozo', 'sickness': 'enfermedad', 'slump': 'depresi\xf3n', 'novelty': 'noticias', 'allegation': 'acusaci\xf3n', 'structure': 'estructura', 'infinity': 'infinito', 'elevator': 'ascensor', 'moscow': 'mosc\xfa', 'redeemer': 'salvador', 'arabic': '\xe1rabe', 'arabia': 'arabia', 'confusion': 'confusi\xf3n', 'downtown': 'centro', 'inning': 'entrada', 'emotion': 'emoci\xf3n', 'plaza': 'plaza', 'button': 'bot\xf3n', 'split': 'resquebrajarse', 'mile': 'leg\xfaa', 'remainder': 'resto', 'admonition': 'exhortaci\xf3n', 'currently': 'hoyd\xeda', 'coward': 'gallina', 'barricade': 'barricada', 'visa': 'visado', 'sample': 'muestra', 'submissive': 'sumiso', 'villa': 'villa', 'nuclear': 'nucleares', 'perspective': 'perspectiva', 'scientist': 'cient\xedfico', 'berlin': 'berl\xedn', 'iguana': 'iguana', 'aristocrat': 'arist\xf3crata', 'detract': 'da\xf1ara', 'supporters': 'partido', 'handicraft': 'oficio', 'gutter': 'arroyo', 'jelly': 'medusa', 'being': 'ser', 'gutted': 'vaci\xf3', 'road': 'v\xeda', 'clarity': 'claridad', 'court': 'corte', 'planting': 'plant\xedo', 'much': 'mucho', 'wireless': 'radio', 'really': 'vera', 'extra': 'extra', 'acoustics': 'ac\xfastica', 'realization': 'realizaci\xf3n', 'almighty': 'todopoderoso', 'assortment': 'surtido', 'pelvis': 'pelvis', 'heiress': 'heredero', 'serpent': 'serpiente', 'admiration': 'admiraci\xf3n', 'city': 'ciudad', 'prestige': 'prestigio', 'centre': 'centro', 'aztec': 'azteca', 'envoy': 'embajador', 'workman': 'trabajador', 'labour': 'bolsadetrabajo', 'cocoa': 'cacao', 'abstracted': 'distra\xeddo', 'secret': 'secreto', 'page': 'p\xe1gina', 'helper': 'ayudante', 'centimeter': 'cent\xedmetro', 'monthly': 'mensualmente', 'become': 'hacerse', 'reproductive': 'reproducci\xf3n', 'fever': 'fiebre', 'crockery': 'loza', 'wheeziness': 'asma', 'member': 'diputado', 'officially': 'porraz\xf3ndeoficio', 'latitude': 'latitud', 'hairdresser': 'peluquero', 'domestic': 'ind\xedgena', 'academy': 'academia', 'recommendable': 'recomendable', 'tinder': 'yesca', 'embark': 'embarcarse', 'fund': 'caja', 'county': 'condado', 'brussels': 'colesdebruselas', 'earlier': 'anterior', 'ghastly': 'l\xfagubre', 'immunoelectrophoresis': 'inmunoelectroforesis', 'frivolous': 'hueco', 'retardation': 'retraso', 'alibi': 'coartada', 'ham': 'jam\xf3n', 'diagnosis': 'diagn\xf3stico', 'hag': 'bruja', 'emission': 'emisi\xf3n', 'passport': 'pasaporte', 'partridge': 'perdiz', 'hay': 'heno', 'melt': 'derretirse', 'panic': 'p\xe1nico', 'archbishopric': 'arzobispado', 'chiefly': 'sobretodo', 'talent': 'habilidad', 'accord': 'acorde', 'overcoat': 'abrigo', 'seldom': 'raramente', 'rabbit': 'conejo', 'propaganda': 'propaganda', 'specialist': 'especialista', 'dijon': 'dijon', 'ornamentation': 'ornamentaci\xf3n', 'sediment': 'dep\xf3sito', 'fireplace': 'chimenea', 'muscle': 'm\xfasculo', 'buy': 'compra', 'tribe': 'tribu', 'but': 'pero', 'abortion': 'aborto', 'bus': 'autob\xfas', 'bomb': 'bomba', 'bug': 'insecto', 'schedule': 'horario', 'babe': 'babe', 'swaddling': 'pa\xf1al', 'poem': 'poes\xeda', 'dry': 'seco', 'apparition': 'aparici\xf3n', 'secretion': 'secreci\xf3n', 'traffic': 'circulaci\xf3n', 'poet': 'poeta', 'neck': 'cuello', 'ginger': 'jengibre', 'loin': 'lomo', 'content': 'contenido', 'abstraction': 'abstracci\xf3n', 'horseman': 'jinete', 'jesus': 'jesucristo', 'bullring': 'plazadetoros', 'vermin': 'insectosda\xf1inos', 'deposit': 'ponerendep\xf3sito', 'birthday': 'cumplea\xf1os', 'hare': 'liebre', 'list': 'lista', 'chicory': 'achicoria', 'waggon': 'coche', 'willingly': 'voluntariamente', 'brilliant': 'magn\xedfico', 'routine': 'rutina', 'proverb': 'dicho', 'symptom': 's\xedntoma', 'adventurous': 'aventurero', 'girl': 'ni\xf1a', 'physician': 'm\xe9dico', 'flame': 'llama', 'telegram': 'telegrama', 'barring': 'salvo', 'favour': 'favor', 'consignee': 'destinatario', 'sewer': 'cloaca', 'surroundings': 'entorno', 'production': 'producci\xf3n', 'eye': 'ojo', 'motivation': 'motivaci\xf3n', 'gesture': 'gesto', 'quit': 'hacerdimisi\xf3n', 'liquid': 'l\xedquido', 'extent': 'magnitud', 'british': 'brit\xe1nico', 'generic': 'gen\xe9rico', 'dispute': 'contienda', 'audit': 'auditor\xeda', 'backpack': 'mochila', 'liver': 'h\xedgado', 'van': 'furgoneta', 'brute': 'bestia', 'apex': '\xe1pice', 'banking': 'cuentabancaria', 'timber': 'madera', 'vat': 'iva', 'hire': 'alquiler', 'gout': 'gota', 'cheek': 'mejilla', 'accusal': 'cargo', 'thirteen': 'trece', 'cheer': 'aplauso', 'academic': 'estudiante', 'pressing': 'urgente', 'airy': 'hueco', 'murder': 'crimen', 'university': 'universidad', 'snail': 'caracol', 'refuse': 'basura', 'reign': 'reino', 'urgency': 'urgencia', 'catastrophe': 'cat\xe1strofe', 'grammophone': 'disco', 'diamond': 'diamante', 'remedy': 'medio', 'tongs': 'tenazas', 'notion': 'inteligencia', 'neither': 'tampoco', 'guilder': 'florin', 'raise': 'incremento', 'administrator': 'gerente', 'rite': 'ritual', 'entry': 'acceso', 'reference': 'referencia', 'exception': 'excepci\xf3n', 'fatherland': 'patria', 'transit': 'tr\xe1nsito', 'victory': 'triunfo', 'journey': 'viaje', 'overgrown': 'cubiertodeverdor', 'mascot': 'mascota', 'cousin': 'primo', 'author': 'autor', 'soiled': 'sucio', 'sound': 'sonido', 'ocean': 'oc\xe9ano', 'walk': 'paseo', 'checker': 'inspector', 'adept': 'partidario', 'dislike': 'repugnancia', 'emissary': 'embajador', 'wrestle': 'lucha', 'immigrant': 'inmigrante', 'burdensome': 'pesado', 'motionless': 'inm\xf3vil', 'corkscrew': 'sacacorchos', 'suicide': 'suicidio', 'pretence': 'pretensi\xf3n', 'lett': 'let\xf3n', 'going': 'retroceso', 'esperanto': 'esperanto', 'notary': 'notario', 'clip': 'clip', 'thunder': 'trueno', 'moped': 'motocicleta', 'norm': 'norma', 'ditch': 'cauce', 'thumb': 'pulgar', 'marketplace': 'plaza', 'always': 'siempre', 'bachelor': 'solter\xf3n', ' librarian': 'bibliotecario', 'fang': 'garra', 'pot': 'orinal', 'ripeness': 'madurez', 'feeling': 'sentimiento', 'briefs': 'braguitas', 'forces': 'tropa', 'except': 'salvo', 'acknowledgment': 'reconocimiento', 'towards': 'entornode', 'register': 'registro', 'TV': 'televisi\xf3n', 'confectionery': 'pasteler\xeda', 'prose': 'prosa', 'digit': 'dedo', 'aroma': 'aroma', 'seventh': 's\xe9ptimo', 'lagoon': 'laguna', 'defender': 'protector', 'protocol': 'procesoverbal', 'cockpit': 'cabina', 'get': 'vestirse', 'outskirts': 'per\xedmetro', 'magpie': 'urraca', 'gem': 'joya', 'poseur': 'presumido', 'help': 'ayuda', 'ashen': 'ceniciento', 'scrupulous': 'meticuloso', 'rock': 'piedra', 'amicus': 'amicus', 'location': 'ubicaci\xf3n', 'braces': 'tirantes', 'helm': 'volante', 'newness': 'novedad', 'swoon': 'desmayo', 'firebrand': 'instigador', 'appendix': 'ap\xe9ndice', 'exaction': 'extorsi\xf3n', 'thirty': 'treinta', 'hypercholesterolemia': 'hipercolesterolemia', 'grandma': 'abuela', 'humid': 'humedo', 'clever': '\xe1gil', 'fool': 'tonto', 'cabbage': 'col', 'mischievous': 'astuto', 'pile': 'mont\xf3n', 'indulgence': 'indulgencia', 'pretty': 'majo', 'grease': 'grasa', 'geographical': 'geograf\xeda', 'greasy': 'grueso', 'mustard': 'mostaza', 'bosom': 'seno', 'technique': 't\xe9cnica', 'biotech': 'biotech', 'arabesque': 'arabesco', 'minced': 'carnepicada', 'sentiment': 'sentimiento', 'nuance': 'matiz', 'full': 'lleno', 'fork': 'tenedor', 'glove': 'guante', 'aardvark': 'Aardvark', 'fraternity': 'fraternidad', 'conceited': 'hueco', 'survey': 'encuesta', 'jug': 'olla', 'gazette': 'peri\xf3dico', 'civilian': 'civil', 'indonesian': 'indon\xe9sico', 'documentation': 'documentaci\xf3n', 'victim': 'v\xedctima', 'satan': 'sat\xe1n', 'haricot': 'jud\xedaverde', 'blotting': 'papelsecante', 'warmth': 'calor', 'hoe': 'azada', 'din': 'ruido', 'hog': 'cerdo', 'springtime': 'primavera', 'die': 'dado', 'hop': 'salto', 'blood': 'sangre', 'hot': 'caliente', 'how': '\xbfc\xf3moest\xe1usted?', 'stylus': 'aguja', 'bleak': 'triste', 'irregularity': 'accidente', 'bloom': 'flor', 'horsepower': 'fuerzadecaballos', 'policeman': 'guardia', 'string': 'rosario', 'camping': 'campamento', 'liberty': 'libertad', 'overall': 'todo', 'chariot': 'carro', 'acronym': 'acr\xf3nimo', 'paradise': 'para\xedso', 'every': 'todo', 'mixture': 'mezcla', 'spaniard': 'espa\xf1ol', 'spinach': 'espinaca', 'presentation': 'presentaci\xf3n', 'confirmation': 'confirmaci\xf3n', 'spawn': 'huevas', 'simple': 'simple', 'first': 'puestodeprimerosauxilios', 'economist': 'economista', 'skilfulness': 'destreza', 'survival': 'supervivencia', 'recommendation': 'recomendaci\xf3n', 'monitor': 'pantalla', 'petroleum': 'petr\xf3leo', 'age': 'siglo', 'sink': 'fregadero', 'unpleasant': 'brusko', 'increase': 'elevaci\xf3n', 'zucchini': 'calabac\xedn', 'downstairs': 'enelfondo', 'phrase': 'frase', 'merit': 'm\xe9rito', 'damage': 'da\xf1o', 'increasingly': 'm\xe1sym\xe1s', 'invoice': 'cuenta', 'near': 'pr\xf3ximo', 'their': 'su', 'opportunity': 'ocasi\xf3n', 'earthen': 'terrestre', 'businessman': 'comerciante', 'attempt': 'intento', 'tumour': 'tumor', 'hazard': 'riesgo', 'who': 'que', 'everywhere': 'entodaspartes', 'worship': 'servicio', 'making': 'producci\xf3n', 'remark': 'ocurrencia', 'apparatus': 'aparato', 'continually': 'siempre', 'anonymous': 'an\xf3nimo', 'quotes': 'conullas', 'consideration': 'consideraci\xf3n', 'diameter': 'di\xe1metro', 'flake': 'desconcharse', 'robot': 'robot', 'category': 'categor\xeda', 'dehydroepiandrosterone': 'dehidroepiandrosterona', 'practicable': 'transitable', 'celebration': 'celebraci\xf3n', 'chlorine': 'cloro', 'public': 'p\xfablico', 'barrel': 'cilindro', 'respect': 'respeto', 'barren': '\xe1rido', 'skilled': 'h\xe1bil', 'argument': 'discusi\xf3n', 'dessert': 'postre', 'note': 'nota', 'pistol': 'pistola', 'piston': 'pist\xf3n', 'classmate': 'compa\xf1ero', 'veterinarian': 'veterinario', 'conversation': 'di\xe1logo', 'alternative': 'remedio', 'finish': 'final', 'fly': 'mosca', 'flu': 'gripe', 'fall': 'ca\xedda', 'calculation': 'cuenta', 'temperature': 'temperatura', 'outlay': 'inversi\xf3n', 'relatedness': 'relaci\xf3n', 'preservation': 'conservaci\xf3n', 'taco': 'taco', 'compromise': 'compromiso', 'growth': 'incremento', 'completely': 'completamente', 'apostasy': 'deserci\xf3n', 'impediment': 'impedimento', 'gruff': 'brusko', 'november': 'noviembre', 'straightforward': 'simple', 'anybody': 'cierto', 'rescue': 'salvaci\xf3n', 'giant': 'gigante', 'gown': 'vestido', 'tangerine': 'mandarina', 'thermometer': 'term\xf3metro', 'hired': 'alquilado', 'punch': 'golpe', 'facility': 'facilidad', 'chinese': 'chino', 'hill': 'cerro', 'convenience': 'comodidad', 'sizable': 'notable', 'beech': 'haya', 'entity': 'entidad', 'admittance': 'entrada', 'acceptance': 'resignaci\xf3n', 'intermission': 'descanso', 'accuracy': 'fidelidad', 'highway': 'autopista', 'ticket': 'entrada', 'information': 'informaci\xf3n', 'arrival': 'llegada', 'vomit': 'v\xf3mito', 'extension': 'extensi\xf3n', 'budget': 'presupuesto', 'lucklessness': 'desgracia', 'burden': 'cruz', 'accountable': 'responsable', 'acquisition': 'adquisici\xf3n', 'payment': 'pago', 'coupon': 'tal\xf3n', 'leave': 'permiso', 'appeal': 'ruego', 'agitation': 'ruido', 'coterie': 'trinquete', 'love': 'amor', 'colony': 'colonia', 'skillfulness': 'destreza', 'tear': 'l\xe1grima', 'team': 'equipo', 'snub': 'dardentelladasa', 'olive': 'acetuna', 'everybody': 'todo', 'night': 'noche', 'courtesy': 'cortes\xeda', 'porter': 'portero', 'education': 'educaci\xf3n', 'beauty': 'belleza', 'uncle': 't\xedo', 'dinner': 'cena', 'lantern': 'farol', 'gunfire': 'fuego', 'emigrate': 'emigrarse', 'delicate': 'fino', 'bike': 'bicicleta', 'bakery': 'panader\xeda', 'consequence': 'consecuencia', 'slice': 'trozo', 'style': 'tendencia', 'approximation': 'acercamiento', 'twenty': 'veinteyuno', 'very': 'muy', 'verb': 'verbo', 'he': '\xe9l', 'milk': 'leche', 'mill': 'molino', 'corporation': 'corporaci\xf3n', 'complexity': 'complejidad', 'neighbour': 'vecino', 'piece': 'pieza', 'garden': 'jard\xedn', 'constantly': 'siempre', 'image': 'retrato', 'howling': 'a\xfallando', 'tendency': 'tendencia', 'ache': 'dolor', 'inebriety': 'embriaguez', 'derivation': 'derivaci\xf3n', 'acute': 'violento', 'apologize': 'disculparse', 'elegant': 'elegante', 'bath': 'ba\xf1o', 'obtain': 'procurarse', 'statement': 'declaraci\xf3n', 'through': 'terminado', 'more': 'm\xe1sym\xe1s', 'zipper': 'cremallera', 'wretchedness': 'miseria', 'gin': 'ginebra', 'aquatic': 'acu\xe1tico', 'sorrow': 'dolor', 'workday': 'jornada', 'dead': 'muerto', 'disdain': 'desprecio', 'collection': 'colecci\xf3n', 'director': 'director', 'correction': 'correcci\xf3n', 'cheers': 'asusalud', 'oceanica': 'ocean\xeda', 'acetous': 'agrio', 'commonplace': 'trivial', 'merchant': 'comerciante', 'disposition': 'disposici\xf3n', 'deaf': 'sordo', 'data': 'dato', 'date': 'cita', 'brave': 'bravo', 'firewood': 'le\xf1a', 'blotter': 'papelsecante', 'complete': 'lleno', 'knot': 'nudo', 'vessel': 'vaso', 'disagreement': 'desacuerdo', 'doubt': 'duda', 'dificultad': 'sin', 'stale': 'trillado', 'shy': 't\xedmido', 'she': 'osa', 'lighting': 'iluminaci\xf3n', 'birds': 'aves', 'disquiet': 'molestia', 'straggler': 'rezagado', 'luxury': 'lujo', 'expenditure': 'gasto', 'juice': 'jugo', 'nail': 'u\xf1a', 'far': 'lejos', 'judge': 'juez', 'sentence': 'frase', 'jeer': 'abotargado', 'discount': 'reducci\xf3n', 'miserable': 'triste', 'staircase': 'escalera', 'sage': 'salvia', 'saga': 'saga', 'busstop': 'paradadelautob\xfas', 'defense': 'defensa', 'galician': 'gallego', 'supporter': 'partidario', 'unfortunately': 'porfortuna', 'gravy': 'salsa', 'when': 'cu\xe1ndo', 'behavior': 'comportamiento', 'grave': 'tumba', 'chess': 'ajedrez', 'chest': 'pecho', 'avidity': 'deseo', 'leader': 'l\xedder', 'ten': 'diez', 'above': 'sobretodo', 'creation': 'creaci\xf3n', 'tea': 't\xe9', 'crack': 'quebraja', 'goodbye': 'adi\xf3s', 'event': 'acontecimiento', 'squirrel': 'ardilla', 'snack': 'almuerzo', 'brown': 'pardo', 'ostrich': 'avestruz', 'cashier': 'caja', 'underground': 'metro', 'woman': 'hembra', 'encouragement': 'est\xedmulo', 'agenda': 'ordendeld\xeda', 'exposition': 'tesis', 'controller': 'inspector', 'crux': 'eje', 'erroneous': 'malo', 'misty': 'brumoso', 'brief': 'corto', 'cavern': 'cueva', 'enough': 'bastante', 'lasting': 'continuo', 'mask': 'm\xe1scara', 'cigar': 'tabaco', 'mass': 'masa', 'mast': 'm\xe1stil', 'difficulty': 'dificultad', 'affable': 'gracioso', 'agricultural': 'agrario', 'dishwasher': 'lavaplatos', 'voyage': 'viaje', 'swedish': 'sueco', 'deep': 'profundo', 'granddad': 'abuelo', 'liqueur': 'licor', 'deed': 'obra', 'stand': 'puesto', 'burgomaster': 'alcade', 'experience': 'experiencia', 'frat': 'fraternidad', 'courteous': 'cort\xe9s', 'exchange': 'curso', 'pyjamas': 'pijama', 'violet': 'morado', 'machine': 'm\xe1quina', 'ape': 'mono', 'power': 'potencia', 'mucus': 'flema', 'defendant': 'acusado', 'whitsunday': 'pentecost\xe9s', 'talented': 'talentoso', 'instrument': 'instrumento', 'apart': 'separado', 'career': 'carrera', 'alumna': 'alumna', 'sustenance': 'mantenimiento', 'mammoth': 'gigantesca', 'aboriginal': 'original', 'inspector': 'inspector', 'flight': 'vuelo', 'tour': 'gira', 'remotely': 'lejos', 'presumption': 'pretensi\xf3n', 'influence': 'influencia', 'precursor': 'ag\xfcero', 'directly': 'seguido', 'currant': 'jugodegrosellas', 'inhabitant': 'habitante', 'curtain': 'cortina', 'likeness': 'semejanza', 'layer': 'capa', 'mr': 'se\xf1or', 'bream': 'brema', 'summit': 'superficie', 'unrest': 'descontento', 'break': 'descanso', 'bread': 'pan', 'my': 'mi', 'report': 'informe', 'casserole': 'cacerola', 'boss': 'amo', 'support': 'apoyo', 'almost': 'casi', 'patron': 'patr\xf3n', 'hero': 'h\xe9roe', 'non': 'civil', 'peso': 'peso', 'here': 'tenga', 'integration': 'integraci\xf3n', 'herb': 'yerba', 'pest': 'peste', 'cradle': 'patria', 'staid': 'serio', 'charity': 'caridad', 'basketball': 'baloncesto', 'intersection': 'cruce', 'not': 'no,,deltodo', 'someone': 'cierto', 'governor': 'gobernador', 'neighbouring': 'vecino', 'incident': 'incidente', 'lovely': 'magn\xedfico', 'psychologist': 'psic\xf3logo', 'blameworthy': 'reprobable', 'abundance': 'caudal', 'aspiration': 'aspiraci\xf3n', 'vengeance': 'venganza', 'better': 'mejor', 'blueberry': 'mantequilla', 'physics': 'f\xedsica', 'uterus': '\xfatero', 'zone': 'zona', 'sue': 'ponerpleitoa', 'improvement': 'reforma', 'javan': 'javan\xe9s', 'reversed': 'alrev\xe9s', 'sun': 'sol', 'prostitute': 'puta', 'agreeable': 'agradable', 'soliloquy': 'mon\xf3logo', 'firefly': 'firefly', 'movie': 'pel\xedcula', 'size': 'tama\xf1o', 'deadline': 'plazo', 'attitude': 'postura', 'channel': 'canal', 'sultan': 'sultan', 'intuition': 'intuici\xf3n', 'cranium': 'cr\xe1neo', 'procure': 'procurarse', 'weak': 'd\xe9bil', 'chalk': 'greda', 'fright': 'miedo', 'yoke': 'yugo', 'future': 'futuro', 'price': 'precio', 'cobbler': 'Zapatero', 'intention': 'voluntad', 'procedure': 'proceso', 'thick': 'grueso', 'laboratory': 'laboratorio', 'anthology': 'antolog\xeda', 'thatching': 'paja', 'bathing': 'trajedeba\xf1o', 'restriction': 'restricci\xf3n', 'genuinly': 'verdaderamente', 'underpants': 'calzoncillos', 'bookcase': 'libr\xe9ria', 'bulgaria': 'bulgaria', 'apocalypse': 'apocalipsis', 'overalls': 'mono', 'surly': 'brusko', 'tree': '\xe1rbol', 'testimony': 'certificado', 'vineyard': 'vi\xf1edo', 'deluge': 'inundaci\xf3n', 'dignity': 'dignidad', 'mine': 'mina', 'mind': 'mente', 'dismal': 'trivial', 'harvest': 'cosecha', 'installment': 'plazo', 'address': 'direcci\xf3n', 'trumpet': 'tromb\xf3n', 'comedy': 'comedia', 'percentage': 'porcentaje', 'anagram': 'anagrama', 'rand': 'sierra', 'industry': 'industria', 'skill': 't\xe9cnica', 'dual': 'doble', 'massive': 'maciso', 'down': 'prima', 'orphanage': 'orfanato', 'salmon': 'salm\xf3n', 'street': 'calle', 'impotence': 'impotencia', 'objectionable': 'reprobable', 'often': 'amenudo', 'tribunal': 'juzgado', 'gaunt': 'triste', 'cemetary': 'cementerio', 'sedative': 'sedante', 'recourse': 'recurso', 'colour': 'color', 'instant': 'momento', 'proclamation': 'proclamaci\xf3n', 'naked': 'desnudo', 'military': 'militar', 'mercy': 'merced', 'nightmare': 'pesadilla', 'customs': 'aduana', 'distrust': 'desconfianza', 'sphere': '\xe1mbito', 'sensory': 'sensorial', 'extortion': 'extorsi\xf3n', 'mama': 'mam\xe1', 'possession': 'posesi\xf3n', 'contradiction': 'contradicci\xf3n', 'moderation': 'prudencia', 'abroad': 'fuera', 'development': 'evoluci\xf3n', 'regard': 'respeto', 'clause': 'cl\xe1usula', 'waistline': 'cintura', 'dirty': 'sucio', 'accusation': 'denuncia', 'partially': 'enparte', 'eyelid': 'p\xe1rpado', 'driver': 'piloto', 'effigy': 'efigie', 'curiosity': 'curiosidad', 'drivel': 'cantinela', 'feminine': 'feminino', 'burnt': 'quemado', 'parapet': 'balaustrada', 'asia': 'asiamenor', 'expire': 'terminarse', 'elbow': 'codo', 'century': 'siglo', 'bear': 'oso', 'beak': 'pico', 'bean': 'haba', 'beam': 'viga', 'repression': 'represi\xf3n', 'cough': 'tos', 'bead': 'cord\xf3n', 'commerce': 'comercio', 'annual': 'anualmente', 'maintenance': 'conservaci\xf3n', 'tardy': 'tard\xedo', 'fallen': 'herido', 'burst': 'resquebrajarse', 'plate': 'plato', 'butter': 'mantequilla', 'tail': 'cola', 'antiquity': 'antig\xfcedad', 'dress': 'vestido', 'septimu': 'septimu', 'general': 'general', 'legacy': 'herencia', 'oh': 'ay', 'sweeper': 'barrendero', 'on': 'sobre', 'bracelet': 'pulsera', 'since': 'yaque', 'ague': 'fiebre', 'of': 'escudo', 'ox': 'buey', 'dutchman': 'neerland\xe9s', 'or': 'o', 'ow': 'ay', 'swim': 'ba\xf1o', 'sofa': 'canap\xe9', 'vis': 'visado', 'soft': 'tierno', 'resource': 'recurso', 'sluice': 'esclusa', 'postage': 'sellodecorreos', 'disapproval': 'reprobaci\xf3n', 'comedian': 'comediante', 'playful': 'juguet\xf3n', 'bathroom': 'ba\xf1o', 'meat': 'carne', 'pity': 'l\xe1stima', 'homicide': 'homicidio', 'circuit': 'circuito', 'loudly': 'enaltavoz', 'mean': 'tenerelprop\xf3sito', 'meal': 'comida', 'attachment': 'afectuosidad', 'picturesque': 'pintoresco', 'cliff': 'acantilado', 'saxe': 'sajonia', 'hideous': 'horroroso', 'shovel': 'pala', 'blue': 'azul', 'pitcher': 'jarra', 'spirit': '\xe1nimo', 'barley': 'cebada', 'abatement': 'reducci\xf3n', 'torso': 'tronco', 'autonomous': 'aut\xf3nomo', 'plaice': 'platija', 'aerogramme': 'cartaa\xe9rea', 'character': 'naturaleza', 'human': 'humano', 'livonia': 'livonia', 'catalonia': 'catalu\xf1a', 'burial': 'entierro', 'unburdening': 'alivio', 'valencia': 'valencia', 'affair': 'asunto', 'pail': 'cubo', 'pain': 'dolor', 'chant': 'canto', 'womb': '\xfatero', 'pair': 'par', 'paraffin': 'petroleo', 'nowadays': 'hoyd\xeda', 'consistent': 'consecuente', 'hypothesis': 'hip\xf3tesis', 'yet': 'ya', 'quarter': 'barrio', 'yes': 's\xed', 'art': 'arte', 'clam': 'clam', 'clan': 'tribu', 'clay': 'arcilla', 'are': 'grupo', 'priority': 'prioridad', 'wonder': 'maravilla', 'clap': 'purgaci\xf3n', 'arm': 'brazo', 'approach': 'enfoque', 'ark': 'arca', 'consecutively': 'sucesivamente', 'lord': 'se\xf1or', 'scotsman': 'escoc\xe9s', 'blanket': 'manta', 'portal': 'puerta', 'instance': 'instancia', 'gallery': 'galer\xeda', 'ferry': 'transbordador', 'kingdom': 'reino', 'inverted': 'conullas', 'video': 'video', 'conflict': 'conflicto', 'wedding': 'boda', 'gill': 'branquia', 'nettle': 'ortiga', 'glue': 'cola', 'cottage': 'casita', 'mantle': 'abrigo', 'adoration': 'adoraci\xf3n', 'dad': 'pap\xe1', 'li': 'lieja', 'dam': 'presa', 'diversion': 'distracci\xf3n', 'day': 'jornada', 'shadow': 'sombra', 'willingness': 'voluntad', 'ending': 't\xe9rmino', 'pacific': 'pac\xedfico', 'aggressor': 'atacador', 'child': 'ni\xf1o', 'chile': 'chile', 'thought': 'pensamiento', 'aerodrome': 'aeropuerto', 'anything': 'algo', 'precincts': 'recinto', 'essence': 'sustancia', 'goodness': 'bondad', 'container': 'bote', 'entrepreneur': 'empresario', 'harsh': 'brusko', 'scissors': 'tijeras', 'stake': 'poste', 'likewise': 'tambi\xe9n', 'realism': 'realismo', 'froth': 'espuma', 'gentleman': 'caballero', 'shallow': 'somero', 'nip': 'aperitivo', 'driving': 'retrovisor', 'ratio': 'proporci\xf3n', 'shoemaker': 'zapatero', 'cork': 'corcho', 'frequency': 'frecuencia', 'extremely': 'extremamente', 'sincere': 'sincero', 'cinder': 'ceniza', 'flask': 'frasco', 'principally': 'sobretodo', 'hearsay': 'hambre', 'canal': 'canal', 'n': 'bata', 'prot': 'protegido', 'leftover': 'resto', 'tube': 'v\xe1lvula', 'rudder': 'volante', 'harbor': 'puerto', 'endeavour': 'tratarde', 'experienced': 'h\xe1bil', 'major': 'principal', 'thief': 'ladr\xf3n', 'sparkle': 'brillo', 'koran': 'alcor\xe1n', 'compliment': 'elogio', 'saturday': 's\xe1bado', 'scent': 'viento', 'charade': 'farsa', 'tagus': 'tajo', 'okay': 'vale', 'federal': 'federal', 'rent': 'alquiler', 'recollection': 'recuerdo', 'acclamation': 'aplauso', 'consumer': 'consumidor', 'manuring': 'abono', 'vehicle': 'veh\xedculo', 'stationer': 'papeler\xeda', 'assembly': 'asamblea', 'height': 'altura', 'sack': 'bolsa', 'grandchild': 'nieto', 'ballast': 'lastre', 'aviation': 'aviaci\xf3n', 'daughter': 'hija', 'defection': 'deserci\xf3n', 'ceramic': 'cer\xe1mica', 'graze': 'roce', 'gentle': 'dulce', 'voice': 'voz', 'ministry': 'ministerio', 'hungarian': 'h\xfangaro', 'blushing': 'rojo', 'grief': 'agon\xeda', 'diabetes': 'diabetes', 'roller': 'cilindro', 'tip': 'punta', 'centennial': 'siglo', 'tin': 'lata', 'favourable': 'favorable', 'wickedness': 'maldad', 'tie': 'lazo', 'wednesday': 'mi\xe9rcoles', 'abiding': 'continuo', 'bishop': 'obispo', 'englishman': 'ingl\xe9s', 'archipelago': 'archipi\xe9lago', 'accordion': 'acorde\xf3n', 'look': 'mirada', 'gradually': 'pocoapoco', 'prize': 'premio', 'earnest': 'serio', 'nasty': 'malo', 'deal': 'era', 'against': 'contra', 'flow': 'corriente', 'ambition': 'ambici\xf3n', 'engineer': 'ingeniero', 'dear': 'caro', 'humour': 'humor', 'romantic': 'rom\xe1nticas', 'seville': 'sevilla', 'honey': 'miel', 'outline': 'perfil', 'pure': 'puro', 'baton': 'palo', 'storey': 'piso', 'continuity': 'continuidad', 'summery': 'resumen', 'urgently': 'urgentemente', 'worth': 'valor', 'cloakroom': 'guardarropa', 'republic': 'rep\xfablica', 'difficult': 'dificil', 'stairs': 'escalera', 'abolition': 'abolici\xf3n', 'identification': 'identificaci\xf3n', 'stroke': 'trazo', 'course': 'l\xednea', 'pub': 'taberna', 'sergeant': 'sargento', 'pus': 'pus', 'boundary': 'frontera', 'counterpane': 'colchadecama', 'conservative': 'conservador', 'value': 'valor', 'acetylcholinesterase': 'acetilcolinesterasa', 'lisbon': 'lisboa', 'straigh': 'seguido', 'marry': 'casarse', 'screening': 'proyecci\xf3n', 'pioneer': 'pionero', 'bandit': 'bandido', 'party': 'partido', 'beastly': 'bestial', 'catering': 'abastacimiento', 'medallion': 'medalla', 'manner': 'trato', 'happiness': 'alegr\xeda', 'expedition': 'expedici\xf3n', 'lyrics': 'letra', 'summer': 'verano', 'moresque': 'moro', 'good': 'gracioso', 'damp': 'humedo', 'beloved': 'querido', 'astonishment': 'asombro', 'damn': 'maldito', 'britain': 'granbreta\xf1a', 'dame': 'dama', 'cocaine': 'coca\xedna', 'advantageous': 'favorable', 'clippings': 'detrito', 'among': 'entre', 'alert': 'alerta', 'scarcity': 'pobreza', 'band': 'banda', 'bank': 'caja', 'goblet': 'c\xe1liz', 'guardian': 'guardian', 'tomb': 'tumba', 'parasite': 'par\xe1sito', 'college': 'universidad', 'prosecutor': 'fiscal', 'guest': 'visita', 'guess': 'acierto', 'harder': 'dif\xedcil', 'consultant': 'asesor', 'position': 'puesto', 'aircraft': 'avi\xf3n', 'arrogant': 'arrogante', 'desert': 'desierto', 'estimate': 'presupuesto', 'abhorrence': 'horror', 'lightning': 'rayo', 'nor': 'tampoco', 'analyst': 'analista', 'klaxon': 'bocina', 'slat': 'tabla', 'slav': 'eslavo', 'version': 'versi\xf3n', 'meaning': 'significado', 'naples': 'n\xe1poles', 'slab': 'l\xe1mina', 'condemnable': 'reprobable', 'closing': 'cierre', 'fertilization': 'abono', 'donkey': 'burro', 'consistency': 'consistencia', 'wood': 'madera', 'wool': 'lana', 'riot': 'ruido', 'laundry': 'lavadero', 'greedy': '\xe1vido', 'flesh': 'carne', 'present': 'regalo', 'celery': 'apio', 'moroccan': 'marroqu\xedna', 'scotland': 'escocia', 'weeping': 'llanto', 'other': 'otro', 'means': 'v\xeda', 'code': 'c\xf3digo', 'conscience': 'conciencia', 'shade': 'sombra', 'labourer': 'trabajador', 'employee': 'empleado', 'diplomat': 'diplom\xe1tico', 'vacation': 'vacaciones', 'somber': 'triste', 'tram': 'tranv\xeda', 'lube': 'lubricaci\xf3n', 'nausea': 'repugnancia', 'tray': 'bandeja', 'metropolis': 'capital', 'patch': 'parche', 'landslide': 'desprendimientodetierras', 'mania': 'man\xeda', 'renunciation': 'renuncia', 'bonnet': 'capot', 'no': 'ya,,no', 'her': 'su', 'reflection': 'reflexi\xf3n', 'shopping': 'compra', 'rebate': 'reducci\xf3n', 'proud': 'orgulloso', 'rheumatism': 'reumatismo', 'opus': 'opus', 'dump': 'basurero', 'ruin': 'ruina', 'drive': 'unidad', 'ransom': 'rescate', 'china': 'china', 'tomato': 'tomate', 'zealander': 'zeland\xe9s', 'baker': 'panadero', 'conduct': 'comportamiento', 'trifle': 'friolera', 'dormitory': 'dormitorio', 'baked': 'pastel', 'sleeping': 'coche\u2010cama', 'cucumber': 'pepino', 'attack': 'ataque', 'class': 'curso', 'sleeve': 'manga', 'dangerous': 'peligroso', 'coverlet': 'colchadecama', 'pyrenean': 'pirenaico', 'mexico': 'm\xe9xico', 'grouse': 'urogallo', 'crap': 'porquer\xeda', 'poopdeck': 'popa', 'september': 'septiembre', 'bumper': 'parachoques', 'crab': 'cangrejo', 'gain': 'provecho', 'moist': 'humedo', 'concord': 'acorde', 'chisel': 'cincel', 'taunt': 'insulto', 'context': 'contexto', 'notebook': 'libritodememoria', 'australian': 'australiano', 'angel': '\xe1ngel', 'spirits': 'alcohol', 'rare': 'raro', 'lovable': 'amable', 'condemnation': 'reprobaci\xf3n', 'partisan': 'partidario', 'sum': 'suma', 'population': 'poblaci\xf3n', 'nanotechnology': 'nanotecnolog\xeda', 'herd': 'grupo', 'anger': 'enojo', 'consciousness': 'conciencia', 'pharmaceutical': 'medicina', 'affectionate': 'zalamero', 'spoil': 'despojo', 'stick': 'palo', 'range': 'rango', 'counselor': 'consejero', 'drum': 'tambor', 'standing': 'permanente', 'fast': 'r\xe1pido', 'compound': 'compuesto', 'currency': 'moneda', 'warrant': 'ordenporescrito', 'surgeon': 'cirujano', 'omnibus': 'autob\xfas', 'passenger': 'pasajero', 'clutch': 'embrague', 'practised': 'h\xe1bil', 'memento': 'recuerdo', 'chick': 'pollo', 'timetable': 'horario', 'skull': 'cr\xe1neo', 'interpretation': 'interpretaci\xf3n', 'per': 'por', 'pet': 'mascota', 'pea': 'guisante', 'peg': 'clavo', 'technician': 't\xe9cnico', 'consist': 'componerse', 'toad': 'sapo', 'house': 'casa', 'cotton': 'algod\xf3n', 'eighty': 'ochenta', 'former': 'pasado', 'progress': 'progreso', 'clock': 'reloj', 'elsewhere': 'enotraparte', 'somebody': 'cierto', 'drown': 'ahogarse', 'mail': 'correo', 'dream': 'sue\xf1o', 'atrocity': 'barbaridad', 'familiarity': 'notoriedad', 'continuation': 'continuaci\xf3n', 'runner': 'corredor', 'publicity': 'publicidad', 'vegetation': 'vegetaci\xf3n', 'round': 'ronda', 'curry': 'arrurruz', 'femal': 'obrera', 'boot': 'bota', 'section': 'secci\xf3n', 'book': 'obra', 'gardener': 'jardinero', 'hide': 'piel', 'communication': 'radio', 'psalm': 'salmo', 'flemmish': 'flamenco', 'that': 'tanto', 'gulf': 'precipicio', 'thaw': 'deshielo', 'stem': 'tronco', 'mess': 'desorden', 'mechanic': 'mec\xe1nico', 'powder': 'polvo', 'step': 'paso', 'admiral': 'almirante', 'lark': 'alondra', 'mutton': 'carnero', 'count': 'recuento', 'sad': 'triste', 'memory': 'recuerdo', 'say': 'despedirse', 'expensive': 'caro', 'saw': 'sierra', 'sap': 'zumo', 'vicar': 'cura', 'customer': 'cliente', 'denomination': 'denominaci\xf3n', 'commercial': 'arroba', 'catalog': 'cat\xe1logo', 'torture': 'tortura', 'responsible': 'responsable', 'panama': 'panam\xe1', 'adventure': 'aventura', 'caramel': 'caramelo', 'accomplished': 'talentoso', 'repercussion': 'resonancia', 'unique': '\xfanico', 'hamlet': 'pueblecito', 'enmity': 'hostilidad', 'quarrel': 'disputa', 'painter': 'pintor', 'caressa': 'caressa', 'perchance': 'talvez', 'animal': 'animal', 'lump': 'tela', 'estremadura': 'extremadura', 'nine': 'nueve', 'shield': 'escudo', 'streetcar': 'tranv\xeda', 'crevice': 'quebraja', 'landscape': 'paisaje', 'satchel': 'cartera', 'plot': 'tramo', 'blouse': 'blusa', 'justice': 'justicia', 'pick': 'escogido', 'splendor': 'esplendor', 'vigour': 'virtud', 'fold': 'pliegue', 'magnet': 'im\xe1n', 'folk': 'pueblo', 'cubic': 'cubano', 'whisky': 'whisky', 'junction': 'uni\xf3n', 'nation': 'naci\xf3n', 'sacrifice': 'sacrificio', 'panel': 'tablero', 'change': 'alteraci\xf3n', 'transitive': 'transitivo', 'during': 'dedia', 'people': 'pueblo', 'criticism': 'cr\xedtica', 'demonstrative': 'pronombredemonstrativo', 'respectable': 'respetable', 'penalty': 'castigo', 'disappearance': 'desaparici\xf3n', 'flavour': 'olor', 'drift': 'derivardelrumbo', 'acre': 'acre', 'repetition': 'repetici\xf3n', 'java': 'java', 'seed': 'semilla', 'beard': 'barba', 'president': 'presidente', 'wealth': 'riqueza', 'retarded': 'atrasado', 'shiver': 'temblor', 'seagull': 'gaviota', 'usa': 'estadosunidos', 'use': 'uso', 'philosopher': 'fil\xf3sofo', 'creature': 'bicho', 'meeting': 'sesi\xf3n', 'pearl': 'perla', 'indonesia': 'indonesia', 'altar': 'alter', 'spectacle': 'espect\xe1culo', 'hockey': 'hockey', 'dauphiness': 'Dauphiness', 'motorway': 'autopista', 'rape': 'violaci\xf3n', 'option': 'opci\xf3n', 'inconvenience': 'inconveniente', 'spoon': 'cuchara', 'downhill': 'cuestaabajo', 'luxemburger': 'luxemburgu\xe9s', 'naval': 'guardiamarina', 'honduras': 'honduras', 'dial': 'dial', 'toast': 'brindis', 'acolyte': 'partidario', 'anecdote': 'an\xe9cdota', 'innocent': 'inocente', 'marriedcouple': 'matrimonio', 'affliction': 'duelo', 'tape': 'cinta', 'enlargement': 'ampliaci\xf3n', 'affecting': 'conmovedor', 'contribution': 'aporte', 'aubergine': 'berenjena', 'bulgarian': 'b\xfalgaro', 'status': 'estado', 'barrister': 'abogado', 'attic': 'desv\xe1n', 'alumnus': 'alumno', 'statue': 'estatua', 'paraguay': 'paraguay', 'connoisseur': 'conocedor', 'both': 'losdos', 'tunny': 'at\xfan', 'profession': 'profesi\xf3n', 'trousers': 'pantal\xf3n', 'starting': 'puntoinicial', 'woodpecker': 'pico', 'soon': 'pronto', 'although': 'aunque', 'twice': 'dosveces', 'mosque': 'mezquita', 'restricted': 'limitado', 'question': 'pregunta', 'thousand': 'mil', 'rotten': 'podrido', 'plainness': 'llanura', 'murk': 'tinieblas', 'isolation': 'aislamiento', 'rather': 'tantico', 'pricey': 'caro', 'politics': 'pol\xedtica', 'presidency': 'presidencia', 'sort': 'g\xe9nero', 'clinic': 'cl\xednica', 'sore': '\xfalcera', 'topic': 'tema', 'training': 'preparaci\xf3n', 'reaction': 'reacci\xf3n', 'shower': 'ducha', 'universe': 'universo', 'refuge': 'refugio', 'haemorhoids': 'hemorroides', 'comb': 'peine', 'papa': 'papa', 'antwerp': 'amberes', 'desertion': 'abandono', 'pregnancy': 'embarazo', 'andalusia': 'andaluc\xeda', 'agreement': 'trato', 'cistern': 'tanque', 'gaol': 'prisi\xf3n', 'kitchen': 'cocina', 'side': 'lado', 'noah': 'no\xe9', 'cart': 'carro', 'these': 'hoyd\xeda', 'viper': '\xe1spid', 'care': 'cuidado', 'card': 'tarjeta', 'stomach': 'est\xf3mago', 'nile': 'nilo', 'chart': 'tabla', 'account': 'cuenta', 'charm': 'atractivo', 'cost': 'precio', 'severe': '\xe1spero', 'depression': 'crisis', 'cinema': 'cine', 'elephant': 'elefante', 'definition': 'definici\xf3n', 'record': 'disco', 'grandmother': 'abuela', 'grass': 'yerba', 'prediction': 'predicci\xf3n', 'photograph': 'fotograf\xeda', 'vigor': 'vigor', 'club': 'c\xedrculo', 'haste': 'prisa', 'enjoyable': 'agradable', 'doll': 'mu\xf1eca', 'mother': 'madre', 'slide': 'transparencia', 'sensitivity': 'sensibilidad', 'struggle': 'lucha', 'chief': 'capit\xe1n', 'across': 'contra', 'accelerator': 'acelerador', 'simplicity': 'sencillez', 'feast': 'banquete', 'rules': 'reglamento', 'caution': 'cautela', 'culture': 'cultura', 'occupation': 'profesi\xf3n', 'buffalo': 'b\xfafalo', 'lecture': 'conferencia', 'service': 'servicio', 'spinster': 'solterona', 'rebellion': 'rebeli\xf3n', 'replenishment': 'suplemento', 'tool': 'herramienta', 'denmark': 'dinamarca', 'fisherman': 'pescador', 'axis': 'eje', 'transformation': 'transformaci\xf3n', 'hundred': 'ciento', 'rude': 'insolente', 'bass': 'perca', 'mint': 'menta', 'plunge': 'zambullirse', 'bast': 'corteza', 'cloak': 'manto', 'electricity': 'electricidad', 'base': 'pie', 'planet': 'planeta', 'candidate': 'candidato', 'checkers': 'juegodedamas', 'purse': 'portamonedas', 'mate': 'compa\xf1ero', 'jeweller': 'joyero', 'utilization': 'utilizaci\xf3n', 'terrestrial': 'terrestre', 'hardworking': 'laborioso', 'disposal': 'disposici\xf3n', 'trite': 'trivial', 'sport': 'juego', 'amnesty': 'amnist\xeda', 'selfishness': 'ego\xedsmo', 'treaty': 'tratado', 'india': 'india', 'ratepayer': 'contribuyente', 'relief': 'relieve', 'border': 'frontera', 'alum': 'alumbre', 'venereal': 'enfermedadven\xe9rea', 'diverge': 'desviarse', 'inexpensive': 'barato', 'organ': '\xf3rgano', 'fortune': 'suerte', 'housefly': 'mosca', 'motel': 'motel', 'pancake': 'crepe', 'late': 'tard\xedo', 'lath': 'tabla', 'bitter': 'amargo', 'climb': 'ascenso', 'freshman': 'estudiante de primer a\xf1o', 'acknowledgement': 'tal\xf3n', 'seized': 'conmovido', 'amendment': 'correcci\xf3n', 'son': 'hijo', 'sow': 'cerda', 'penury': 'indigencia', 'precaution': 'previsi\xf3n', 'gene': 'gen', 'etna': 'etna', 'fence': 'reja', 'ridicule': 'rid\xedculo', 'birch': 'abedul', 'contact': 'contacto', 'audacity': 'audacia', 'organization': 'organizaci\xf3n', 'month': 'mes', 'valiant': 'bravo', 'health': 'salud', 'pillow': 'almohada', 'painting': 'cuadro', 'cupboard': 'armario', 'predicament': 'apuro', 'barbarian': 'b\xe1rbaro', 'outing': 'excursi\xf3n', 'trader': 'comerciante', 'dentist': 'dentista', 'solicitor': 'abogado', 'emitter': 'emisor', 'laughter': 'risa', 'corpulent': 'grueso', 'humidity': 'humedad', 'taint': 'putrefacci\xf3n', 'almond': 'pastadealmendras', 'fearful': 'medroso', 'javanese': 'javan\xe9s', 'etcetera': 'etc\xe9tera', 'five': 'cinco', 'program': 'programa', 'draining': 'desag\xfce', 'battalion': 'batall\xf3n', 'capable': 'h\xe1bil', 'quaintness': 'curiosidad', 'soil': 'tierra', 'provost': 'alcade', 'market': 'mercado', 'commencement': 'principio', 'infancy': 'ni\xf1ez', 'piglet': 'lech\xf3n', 'lobster': 'langosta', 'syrup': 'jarabe', 'emperor': 'emperador', 'jaw': 'mand\xedbula', 'jam': 'mermelada', 'diagram': 'retrato', 'grant': 'beca', 'rapid': 'r\xe1pido', 'mermaid': 'sirena', 'justification': 'justificaci\xf3n', 'wagon': 'vag\xf3n', 'trade': 'comercio', 'block': 'cuadra', 'ice': 'hielo', 'chain': 'cadena', 'butcher': 'carnicer\xeda', 'sales': 'mercadodeconsumo', 'flour': 'harina', 'european': 'europeo', 'complex': 'complejo', 'argentinean': 'argentino', 'husband': 'marido', 'reward': 'premio', 'chair': 'silla', 'winter': 'invierno', 'summary': 'suma', 'surface': 'superficie', 'park': 'parque', 'couple': 'par', 'part': 'pieza', 'saucer': 'platillo', 'eighth': 'octavo', 'able': 'h\xe1bil', 'game': 'partida', 'framework': 'esqueleto', 'union': 'uni\xf3n', 'inclusively': 'inclu\xeddo', 'musician': 'm\xfasico', 'delightful': 'lindo', 'balloting': 'balotaje', 'leek': 'ajo', 'press': 'prensa', 'unfaithful': 'renegado', 'rehearsal': 'ensayo', 'ranch': 'estancia', 'under': 'debajode', 'example': 'ejemplo', 'filthy': 'sucio', 'blonde': 'rubia', 'effective': 'terminante', 'files': 'archivo', 'receipt': 'tal\xf3n', 'snorter': 'aperitivo', 'decision': 'decisi\xf3n', 'crete': 'creta', 'dice': 'dados', 'mechlin': 'malinas', 'ashamed': 'vergonzoso', 'tart': 'torta', 'omission': 'olvido', 'walnut': 'nogal', 'bikini': 'biquini', 'tangle': 'caos', 'undertake': 'tratarde', 'whalebone': 'ballena', 'riches': 'riqueza', 'tuesday': 'martes', 'atlantic': 'atl\xe1ntico', 'modest': 'modesto', 'ordinary': 'com\xfan', 'action': 'acto', 'paw': 'pata', 'pay': 'sueldo', 'pad': 'bloque', 'application': 'solicitud', 'mayor': 'teniente', 'generative': 'sexual', 'whimstone': 'basalto', 'faith': 'fe', 'free': 'gratuito', 'subside': 'sosegarse', 'start': 'comienzo', 'recipient': 'destinatario', 'indignation': 'indignaci\xf3n', 'even': 'plano', 'wheel': 'rueda', 'spreading': 'expansi\xf3n', 'dart': 'flecha', 'nutmeg': 'nuezmoscada', 'ever': 'siempre', 'pleasure': 'placer', 'estate': 'finca', 'mission': 'misi\xf3n', 'permit': 'permiso', 'foliage': 'follaje', 'mute': 'mudo', 'division': 'divisi\xf3n', 'detail': 'particular', 'envelope': 'sobre', 'addition': 'ap\xe9ndice', 'cavalier': 'caballero', 'second': 'segundo', 'morality': 'virtud', 'pleasing': 'agradable', 'evolution': 'evoluci\xf3n', 'then': 'luego', 'freedom': 'libertad', 'they': 'ellos', 'adder': '\xe1spid', 'stench': 'malolor', 'kneel': 'arrodillarse', 'briton': 'britano', 'dancer': 'bailar\xedn', 'neighbourhood': 'barrio', 'concession': 'concesi\xf3n', 'theater': 'teatro', 'investigation': 'investigaci\xf3n', 'connection': 'lazo', 'negligent': 'descuidado', 'adjustment': 'construcci\xf3n', 'velocity': 'rapidez', 'elm': 'olmo', 'target': 'objeto', 'elk': 'alce', 'becoming': 'conveniente', 'burger': 'hamburguesa', 'headwaiter': 'camerero', 'vision': 'visi\xf3n', 'daily': 'diario', 'naturally': 'naturalmente', 'daybreak': 'madrugada', 'granite': 'granito', 'shanty': 'cobertizo', 'miter': 'mitra', 'beatnik': 'hijas', 'countryside': 'campo', 'ambulance': 'ambulancia', 'behind': 'tras', 'site': 'sitio', 'presence': 'presencia', 'slave': 'esclavo', 'singer': 'cantante', 'fight': 'lucha', 'tennis': 'tenis', 'shame': 'verg\xfcenza', 'volume': 'volumen', 'rumor': 'hambre', 'inbred': 'innato', 'actuality': 'realidad', 'battle': 'batalla', 'adroit': '\xe1gil', 'innovation': 'innovaci\xf3n', 'wound': 'herida', 'impact': 'impacto', 'matrimony': 'matrimonio', 'december': 'diciembre', 'punt': 'patada', 'jacket': 'chaqueta', 'discovery': 'descubrimiento', 'blend': 'mezcla', 'vigil': 'vela', 'baleen': 'ballena', 'devotee': 'aficionado', 'devoted': 'afectuoso', 'dude': 'tipo', 'receptionist': 'recepci\xf3n', 'verse': 'estrofa', 'secretary': 'secretario', 'inch': 'pulgada', 'crowd': 'masa', 'scuffle': 'batalla', 'artillery': 'artiller\xeda', 'castile': 'castilla', 'association': 'asociaci\xf3n', 'helpful': 'servicial', 'catechism': 'catecismo', 'instigator': 'instigador', 'uncooked': 'crudo', 'hatch': 'trampilla', 'boyfriend': 'novio', 'package': 'paquete', 'poplar': '\xe1lamo', 'chance': 'oportunidad', 'drawers': 'calzoncillos', 'vienna': 'viena', 'interrogator': 'interrogante', 'fatty': 'grueso', 'cautious': 'prudente', 'turkey': 'pavo', 'normality': 'normalidad', 'headlight': 'faro', 'cycle': 'ciclo', 'waitress': 'camarera', 'excise': 'derechosdeconsumo', 'life': 'vida', 'exasperation': 'desesperaci\xf3n', 'interest': 'inter\xe9s', 'cloth': 'trapo', 'daddy': 'padre', 'impossible': 'imposible', 'yield': 'rendimiento', 'brass': 'lat\xf3n', 'owl': 'buho', 'lava': 'lava', 'vegetarian': 'vegetariano', 'early': 'temprano', 'mohammed': 'mahoma', 'occurrence': 'vez', 'between': 'entre', 'rate': 'fila', 'transporter': 'transporte', 'earl': 'earl', 'proportion': 'proporci\xf3n', 'depressed': 'desanimado', 'subscribe': 'suscribirse', 'aberration': 'yerro', 'sausage': 'salchicha', 'screw': 'tornillo', 'diet': 'r\xe9gimen', 'commanding': 'comandante', 'venture': 'empresa', 'hook': 'gancho', 'hood': 't\xe1pa', 'hoof': 'pezu\xf1a', 'scandal': 'esc\xe1ndalo', 'design': 'dise\xf1o', 'nylon': 'nil\xf3n', 'felly': 'llanta', 'infant': 'ni\xf1o', 'autocrat': 'aut\xf3crata', 'adjutant': 'edec\xe1n', 'yoghurt': 'yogur', 'reservoir': 'recipientedeagua', 'argentina': 'argentina', 'motorcycle': 'moto', 'tide': 'marea', 'efficacious': 'terminante', 'coconut': 'coco', 'munich': 'munich', 'worker': 'trabajador', 'prudish': 'melindroso', 'fertilizer': 'abono', 'havana': 'havana', 'freezing': 'helada', 'craft': 'astucia', 'assault': 'salteo', 'commission': 'comisi\xf3n', 'probability': 'probabilidad', 'pheasant': 'fais\xe1n', 'hazardous': 'arriesgado', 'offspring': 'descendiente', 'apartment': 'departamento', 'disabled': 'inv\xe1lido', 'rickety': 'decr\xe9pito', 'algorithm': 'algoritmo', 'outfit': 'equipo', 'depravation': 'putrefacci\xf3n', 'kidney': 'ri\xf1\xf3n', 'judgment': 'juicio', 'refined': 'fino', 'possibility': 'posibilidad', 'clients': 'clientela', 'slowness': 'lentitud', 'distraction': 'distracci\xf3n', 'monastery': 'convento', 'abbess': 'abadesa', 'luxemburg': 'luxemburgu\xe9s', 'similar': 'semejante', 'intimate': 'c\xf3modo', 'dictatorship': 'dictadura', 'analysis': 'an\xe1lisis', 'ride': 'paseo', 'palm': 'palma', 'pale': 'p\xe1lido', 'frequently': 'amenudo', 'drunk': 'ebrio', 'carnation': 'clavel', 'louvain': 'lovaina', 'cookie': 'galleta', 'excommunication': 'anatema', 'toilet': 'retrete', 'echo': 'eco', 'nest': 'nido', 'inheritance': 'herencia', 'corpus': 'd\xedadelcorpus', 'vibration': 'vibraci\xf3n', 'faithful': 'fiel', 'mountaineering': 'botademonta\xf1a', 'faculty': 'facultad', 'cool': 'fresco', 'profundity': 'profundidad', 'cook': 'cocinero', 'period': 'punto', 'processing': 'tratamiento', 'solar': 'solar', 'large': 'grande', 'menace': 'peligro', 'rum': 'ron', 'run': 'plazo', 'chatter': 'charla', 'hunger': 'hambre', 'commodity': 'art\xedculo', 'average': 'medio', 'sixth': 'sexto', 'catching': 'contagioso', 'whipped': 'natabatida', 'anomaly': 'anomal\xeda', 'sixty': 'sesenta', 'greeting': 'saludo', 'acid': '\xe1cido', 'eagle': '\xe1guila', 'number': 'n\xfamero', 'trustworthy': 'deconfianza', 'mister': 'se\xf1or', 'family': 'familia', 'arse': 'ano', 'fellow': 'hombre', 'axle': 'eje', 'stall': 'establo', 'most': 'principal', 'incompetence': 'incapacidad', 'felloe': 'llanta', 'problem': 'problema', 'decimetre': 'dec\xedmetro', 'idea': 'idea', 'stupidness': 'estupidez', 'forefinger': '\xedndice', 'totality': 'totalidad', 'arrest': 'detenci\xf3n', 'diligence': 'diligencia', 'portable': 'port\xe1til', 'aerial': 'antena', 'sweetheart': 'querido', 'narrative': 'narrativa', 'client': 'parroquiano', 'lettuce': 'lechuga', 'bronze': 'bronce', 'afar': 'lejos', 'temper': 'humor', 'ankle': 'tobillo', 'opening': 'boca', 'dependence': 'dependencia', 'motor': 'motor', 'portion': 'parte', 'dependency': 'dependencia', 'abhorrent': 'horroroso', 'collide': 'chocarkun', 'applicant': 'solicitante', 'master': 'maestro', 'flemming': 'flamenco', 'inborn': 'innato', 'inhalation': 'inspiraci\xf3n', 'actually': 'enefecto', 'shampoo': 'champ\xfa', 'registered': 'certificado', 'error': 'error', 'necessity': 'necesidad', 'efficiency': 'rendimiento', 'sequence': 'secuencia', 'jerk': 'tir\xf3n', 'rest': 'resto', 'slit': 'grieta', 'millimetre': 'mil\xedmetro', 'butterfly': 'mariposa', 'seaside': 'playa', 'marvel': 'maravilla', 'attitudinize': 'serpresuntuoso', 'circumcision': 'circuncisi\xf3n', 'tongue': 'lengua', 'touch': 'tacto', 'yon': 'all\xed', 'sugar': 'az\xfacar', 'revenge': 'venganza', 'finger': 'dedo', 'reputation': 'fama', 'pace': 'paso', 'balcony': 'galer\xeda', 'biography': 'biograf\xeda', 'you': 'vosotros', 'levy': 'tasa', 'doggy': 'cachoro', 'atom': '\xe1tomo', 'blister': 'campanilla', 'widower': 'viudo', 'protagonist': 'protagonista', 'assess': 'evaluar', 'amateur': 'aficionado', 'forschungsgemeinschaft': 'forschungsgemeinschaft', 'mouth': 'desembocadura', 'trip': 'viaje', 'asthma': 'asma', 'wholly': 'enteramente', 'impulse': 'impulso', 'mulberry': 'morera', 'variety': 'variedad', 'dog': 'perro', 'aspect': 'caracter\xedstica', 'mistaken': 'malo', 'bile': 'bilis', 'dot': 'punto', 'omelette': 'tortilla', 'endorsement': 'soporte', 'unity': 'unidad', 'obtuse': 'obtuso', 'psychic': 'ps\xedquico', 'fortunately': 'porfortuna', 'wait': 'espera', 'scheme': 'prop\xf3sito', 'cellist': 'violonchelista', 'rush': 'apresurarse', 'ruse': 'truco', 'mode': 'moda', 'mathematics': 'matem\xe1ticas', 'rim': 'llanta', 'allele': 'alelo', 'omen': 'ag\xfcero', 'seven': 'siete', 'perfume': 'perfume', 'decayed': 'decr\xe9pito', 'lupine': 'loba', 'fortification': 'fortificaci\xf3n', 'aquarium': 'acuario', 'patience': 'paciencia', 'with': 'pormediode', 'relationship': 'conexi\xf3n', 'adstringent': 'astrigenteantidi\xe1rrico', 'sombrero': 'sombrero', 'cut': 'secci\xf3n', 'enrapture': 'trance', 'baritone': 'bar\xedtono', 'remove': 'recogerlamesa', 'adjournment': 'retraso', 'murmur': 'rumor', 'injection': 'inyecci\xf3n', 'title': 't\xedtulo', 'laborer': 'trabajador', 'den': 'cueva', 'fewer': 'menos', 'without': 'sin', 'collar': 'cuello', 'appearance': 'aspecto', 'abscess': 'absceso', 'paris': 'par\xeds', 'black': 'negro', 'manager': 'director', 'fifteen': 'quince', 'unkind': 'brusko', 'credential': 'credenciales', 'hail': 'granizo', 'friday': 'viernes', 'balloon': 'aer\xf3stato', 'hair': 'pelo', 'glasses': 'lente', 'basket': 'cesto', 'radiator': 'radiador', 'should': 'tenerque', 'chuck': 'caricia', 'needy': 'pobre', 'brothers': 'hermanos', 'accident': 'accidente', 'insult': 'insulto', 'ignorance': 'ignorancia', 'xylophone': 'xil\xf3fono', 'brow': 'ceja', 'decent': 'conveniente', 'minister': 'ministro', 'prior': 'pasada', 'coma': 'coma', 'ladder': 'escalera', 'assistant': 'ayudante', 'cutlet': 'chuleta', 'decoration': 'decoraci\xf3n', 'slanting': 'inclinado', 'stone': 'piedra', 'acquire': 'procurarse', 'assize': 'penal', 'profile': 'perfil', 'beverage': 'bebida', 'countenance': 'rostro', 'boat': 'barco', 'inconvenient': 'dificil', 'boar': 'cerdo', 'right': 'derecha', 'accessory': 'ap\xe9ndice', 'field': 'campo', 'crossroad': 'cruce', 'hint': 'alusi\xf3n', 'patient': 'paciente', 'transaction': 'negocio', 'unhappy': 'infeliz', 'cheap': 'barato', 'treasure': 'joya', 'cheat': 'trampa', 'hind': 'ruedaposterior', 'breast': 'seno', 'accused': 'acusado', 'tiger': 'tigre', 'portent': 'ag\xfcero', 'excitation': 'excitaci\xf3n', 'brazil': 'brasil', 'stop': 'parada', 'automobile': 'autom\xf3vil', 'briefness': 'concisi\xf3n', 'purpose': 'prop\xf3sito', 'hippopotamus': 'hipop\xf3tamo', 'brakedown': 'panne', 'hungary': 'hungr\xeda', 'basalt': 'basalto', 'renovation': 'renovaci\xf3n', 'bottom': 'fondo', 'alimony': 'asistencias', 'away': 'lejos', 'establishment': 'establecimiento', 'roster': 'lista', 'cylinder': 'cilindro', 'contract': 'contrato', 'infusion': 'extracto', 'afternoon': 'tarde', 'sweat': 'sudor', 'gage': 'indicador', 'silk': 'seda', 'volcano': 'volc\xe1n', 'journal': 'revista', 'prayer': 'oraci\xf3n', 'heaving': 'ansiedad', 'decently': 'comoesdebido', 'fortress': 'fortaleza', 'tragedy': 'tragedia', 'freak': 'freak', 'west': 'oeste', 'strip': 'franja', 'potential': 'potencia', 'your': 'tu', 'efforts': 'af\xe1n', 'gorgeou': 'gorgeou', 'sledge': 'endrino', 'laugh': 're\xedrsede', 'rye': 'centeno', 'spaceman': 'astronauta', 'urban': 'urbano', 'discipline': 'disciplina', 'diaper': 'pa\xf1al', 'semester': 'semestre', 'sneeze': 'estornudo', 'inoffensive': 'ingenuo', 'advertency': 'atenci\xf3n', 'omniscient': 'omnisciente', 'bandage': 'vendaje', 'messenger': 'embajador', 'pending': 'pendiente', 'demolition': 'demolici\xf3n', 'advertence': 'atenci\xf3n', 'wrap': 'envoltura', 'dreary': '\xe1rido', 'instruction': 'instrucci\xf3n', 'dive': 'zambullirse', 'giraffe': 'jirafa', 'capability': 'disposici\xf3n', 'naughty': 'muchachotravieso', 'until': 'hastaque', 'uruguay': 'uruguay', 'apology': 'disculpa', 'imposition': 'imposici\xf3n', 'from': 'desde', 'pork': 'carnedecerdo', 'hacker': 'piratas', 'frog': 'rana', 'assertion': 'afirmaci\xf3n', 'screen': 'cortina', 'keratoconjunctivitis': 'queratoconjuntivitis', 'port': 'puerto', 'briefcase': 'cartera', 'institutionalization': 'institucionalizaci\xf3n', 'beret': 'boina', 'monkey': 'mono', 'petty': 'mezquino', 'tension': 'voltaje', 'robotic': 'rob\xf3tica', 'sect': 'secta', 'bicarbonate': 'bicarbonato', 'impress': 'impress', 'advice': 'consejo', 'recording': 'grabaci\xf3n', 'margin': 'margen', 'america': 'am\xe9rica', 'room': 'sal\xf3n', 'poop': 'popa', 'poor': 'pobre', 'roof': 'techo', 'pastor': 'pastor', 'pear': 'peral', 'peak': 'pico', 'drone': 'drone', 'pool': 'piscina', 'root': 'ra\xedz', 'guffaw': 'carcajada', 'oil': 'aceite', 'sardinia': 'cerde\xf1a', 'biscay': 'vizcaya', 'penthouse': 'cobertizo', 'alms': 'limosna', 'platform': 'programa', 'flaw': 'quebraja', 'saving': 'ahorro', 'communism': 'comunismo', 'scratch': 'cero', 'exhibition': 'exposici\xf3n', 'communist': 'comunista', 'follow': 'venirdespu\xe9s', 'exportation': 'exportaci\xf3n', 'anxiety': 'ansiedad', 'maize': 'ma\xedz', 'crime': 'crimen', 'effect': 'efecto', 'zero': 'cero', 'mentally': 'atrasado', 'gambler': 'jugador', 'rio': 'riograndedelnorte', 'joystick': 'volante', 'laurel': 'laurel', 'objective': 'objetivo', 'dainty': 'fino', 'pinnacle': 'pico', 'horse': 'caballo', 'eternity': 'eternidad', 'philosophy': 'filosof\xeda', 'medicine': 'medicina', 'ancient': 'antiguo', 'lining': 'forro', 'castillian': 'castellano', 'best': 'querido', 'cleaner': 'limpiador', 'teacher': 'profesor', 'philippine': 'islasfilipinas', 'postoffice': 'correo', 'breaker': 'disyuntor', 'vote': 'voto', 'substitution': 'relevo', 'persian': 'persa', 'irishman': 'irland\xe9s', 'necklace': 'collar', 'seniority': 'antig\xfcedad', 'twelve': 'doce', 'plug': 'tamp\xf3n', 'cinderella': 'cenicienta', 'historian': 'historiador', 'plum': 'ciruela', 'pier': 'desembarcadero', 'toward': 'a', 'baltic': 'marb\xe1ltico', 'busy': 'ocupado', 'indeed': 'verdaderamente', 'color': 'color', 'finally': 'final', 'busk': 'ballena', 'operative': 'trabajador', 'affluence': 'riqueza', 'captain': 'capit\xe1n', 'abridgement': 'resumen', 'equality': 'igualdad', 'spectacles': 'gafas', 'razor': 'navaja', 'concerning': 'respectode', 'mango': 'mango', 'sweets': 'dulce', 'casualty': 'v\xedctima', 'caveat': 'advertencia', 'reading': 'lectura', 'star': 'estrella', 'adhesive': 'parche', 'prospect': 'expectativa', 'convincing': 'convencimiento', 'pudding': 'pud\xedn', 'baggage': 'equipajes', 'teachings': 'doctrina', 'success': '\xe9xito', 'pyrenees': 'pirineos', 'facing': 'frente', 'resolution': 'resoluci\xf3n', 'crew': 'tripulaci\xf3n', 'viewer': 'espectador', 'significance': 'trascendencia', 'condition': 'estado', 'singing': 'canto', 'ace': 'as', 'manifacture': 'producci\xf3n', 'censure': 'reprobaci\xf3n', 'loch': 'lago', 'lock': 'esclusa', 'act': 'acto', 'followers': 'partido', 'skate': 'skate', 'excuse': 'excusa', 'previous': 'pasada', 'demonstration': 'demostraci\xf3n', 'nightingale': 'ruise\xf1or', 'cowboy': 'gaucho', 'majority': 'mayor\xeda', 'need': 'necesidad', 'taste': 'gusto', 'welfare': 'bienestar', 'jail': 'c\xe1rcel', 'below': 'enelfondo', 'remote': 'telemando', 'billing': 'facturaci\xf3n', 'artificial': 'artificial', 'barque': 'barco', 'meuse': 'mosa', 'march': 'marcha', 'leisure': 'ocio', 'hazelnut': 'avellana', 'indian': 'indio', 'competition': 'competencia', 'fertile': 'f\xe9rtil', 'microphone': 'micr\xf3fono', 'determination': 'determinaci\xf3n', 'badge': 'placa', 'consumption': 'consumo', 'bicycle': 'bicicleta', 'pig': 'cerdo', 'pie': 'torta', 'supersign': 'acento', 'conquest': 'conquista', 'autumn': 'oto\xf1o', 'archive': 'archivo', 'pit': 'zanja', 'blackbird': 'mirlo', 'absence': 'ausencia', 'October': 'octubre', 'horn': 'cuerno', 'speedy': 'r\xe1pido', 'lather': 'espuma', 'extract': 'extracto', 'behold': 'tenga', 'definite': 'art\xedculodeterminado', 'chaotic': 'ca\xf3tico', 'judgement': 'sentencia', 'carpet': 'alfombra', 'asylum': 'refugio', 'recipe': 'receta', 'contemporary': 'contempor\xe1neo', 'estimates': 'presupuesto', 'jump': 'salto', 'sandwich': 'sandwich', 'adopted': 'adoptivo', 'distinct': 'evidente', 'locality': 'localidad', 'adverb': 'adverbio', 'pottery': 'loza', 'screwdriver': 'destornillador', 'exhausted': 'agotado', 'magic': 'magia', 'advert': 'tenercuidado', 'congratulation': 'Felicitaciones', 'fashion': 'moda', 'louse': 'piojo', 'shift': 'jornada', 'admirer': 'admirador', 'check': 'control', 'bamboo': 'bamb\xfa', 'publication': 'publicaci\xf3n', 'land': 'patria', 'lane': 'pasaje', 'also': 'tambi\xe9n', 'cards': 'tarjetas', 'tidbit': 'dulce', 'strait': 'estrecho', 'mosquito': 'mosquito', 'thriftiness': 'econom\xeda', 'strain': 'tensi\xf3n', 'hillside': 'cuesta', 'completed': 'terminado', 'decay': 'decadencia', 'necktie': 'corbata', 'set': 'conjunto', 'sex': 'sexo', 'actress': 'actriz', 'void': 'vac\xedo', 'sea': 'mar', 'grapefruit': 'pomelo', 'logic': 'l\xf3gica', 'humor': 'humor', 'orbit': '\xf3rbita', 'handsome': 'bonito', 'whore': 'puta', 'emptiness': 'vac\xedo', 'railway': 'ferrocarril', 'shock': 'amortiguador', 'gear': 'cajadecambios', 'trunk': 'tronco', 'attractive': 'atrayente', 'embrace': 'abrazo', 'imagination': 'imaginaci\xf3n', 'majorca': 'mallorca', 'coup': 'departamento', 'intercessor': 'abogado', 'dollarr': 'dollarr', 'irony': 'iron\xeda', 'peanut': 'cacahu\xe9', 'fragment': 'pieza', 'nook': 'rinc\xf3n', 'claw': 'garra', 'intoxicated': 'ebrio', 'err': 'equivocarse', 'tranquility': 'tranquilidad', 'behave': 'conducirse', 'airmail': 'correoa\xe9reo', 'throw': 'tiro', 'romania': 'rumania', 'entertainment': 'diversi\xf3n', 'police': 'polic\xeda', 'clod': 'bola', 'gifted': 'talentoso', 'composer': 'compositor', 'shareholder': 'accionista', 'lorraine': 'lorena', 'broken': 'roto', 'cake': 'torta', 'level': 'plano', 'forethought': 'precauci\xf3n', 'thesaurus': 'tesoro', 'prophet': 'profeta', 'independence': 'independencia', 'scare': 'susto', 'deputy': 'diputado', 'grammar': 'gram\xe1tica', 'gladness': 'alegr\xeda', 'grade': 'nota', 'grandfather': 'abuelo', 'carriage': 'coche', 'victos': 'triunfo', 'true': 'verdadero', 'x': 'rayosx', 'sender': 'remitente', 'weariness': 'cansancio', 'circumstance': 'circunstancia', 'figure': 'figura', 'additional': 'extra', 'hit': 'golpe', 'his': 'su', 'hip': 'cadera', 'basic': 'b\xe1zico', 'silence': 'silencio', 'him': '\xe9l', 'bolivia': 'bolivia', 'basin': 'recipientedeagua', 'beginner': 'principiante', 'complaint': 'queja', 'equatorial': 'guineaecuatorial', 'aggressiveness': 'agresividad', 'mutation': 'mutaci\xf3n', 'supplication': 'ruego', 'watchmaker': 'relojero', 'nothing': 'nada', 'cauliflower': 'coliflor', 'handle': 'empu\xf1adura', 'biology': 'biolog\xeda', 'seat': 'silla', 'seal': 'sello', 'seam': 'junta', 'chapel': 'capilla', 'witness': 'testigo', 'toughness': 'dureza', 'cheque': 'talonario', 'branch': 'rama', 'link': 'v\xednculo', 'obstacle': 'dificultad', 'sperm': 'espermatozoide', 'drought': 'sequ\xeda', 'nephew': 'sobrino', 'bumpy': 'desigual', 'terms': 'condici\xf3n', 'advocate': 'abogado', 'impossibility': 'imposibilidad', 'idolatry': 'idolatr\xeda', 'arizona': 'arizona', 'acclivity': 'cuesta', 'coincidence': 'coincidencia', 'chromosome': 'cromosoma', 'alter': 'alter', 'ahead': 'delante', 'llama': 'llama', 'outside': 'exterior', 'abampere': 'abampere', 'complication': 'complicaci\xf3n', 'internationalisation': 'internacionalizaci\xf3n', 'spot': 'mancha', 'zither': 'c\xedtara', 'nature': 'naturaleza', 'cemetery': 'cementerio', 'stern': 'popa', 'narrow': 'estrecho', 'uniform': 'uniforme', 'fully': 'completamente', 'patagonia': 'patagonia', 'lookup': 'b\xfasqueda', 'haul': 'lance', 'detention': 'detenci\xf3n', 'cuttings': 'detrito', 'quay': 'and\xe9n', 'novel': 'novela', 'shack': 'cobertizo', 'distance': 'distancia', 'stodgy': 'aburrido', 'candlemas': 'purificaci\xf3n', 'placard': 'cartel', 'hogan': 'hogan', 'inspection': 'inspecci\xf3n', 'township': 'pueblecito', 'shaft': 'pozo', 'prohibition': 'prohibici\xf3n', 'resistance': 'resistencia', 'buckle': 'hebilla', 'affect': 'influiren', 'please': 'porfavor', 'iron': 'hierro', 'laddie': 'muchacho', 'occasion': 'ocasi\xf3n', 'airless': 'oprimido', 'opposite': 'otrolado', 'italy': 'italia', 'evening': 'noche', 'duplicate': 'duplicado', 'deceptive': 'falaz', 'crocodile': 'cocodrilo', 'forehead': 'frente', 'belgian': 'belga', 'essay': 'ensayo', 'sketch': 'cart\xf3n', 'gothic': 'g\xf3tico', 'calendar': 'calendario', 'privilege': 'privilegio', 'anklet': 'cintur', 'facile': 'f\xe1cil', 'embassy': 'embajada', 'stride': 'paso', 'crackling': 'chirrido', 'trust': 'confianza', 'contented': 'contento', 'well': 'sabido', 'balsam': 'b\xe1lsamo', 'accidence': 'acaso', 'seizure': 'apoplej\xeda', 'institutionalisation': 'institucionalizaci\xf3n', 'attitudinizer': 'presumido', 'pate': 'cabeza', 'accomplice': 'c\xf3mplice', 'native': 'patria', 'forefront': 'vanguardia', 'path': 'camino', 'explosion': 'bomba', 'loaf': 'pan', 'load': 'peso', 'cave': 'cueva', 'bowel': 'intestino', 'sweet': 'dulce', 'handbook': 'manual', 'dimension': 'tama\xf1o', 'humiliation': 'humillaci\xf3n', 'slow': 'lento', 'truly': 'verdaderamente', 'exclusively': 's\xf3lo', 'distracted': 'distra\xeddo', 'shawl': 'pa\xf1uelo', 'slob': 'cerdo', 'tender': 'subasta', 'duck': 'pato', 'untroubled': 'sereno', 'traveller': 'viajero', 'frost': 'helada', 'opposed': 'contra', 'temple': 'templo', 'intimacy': 'intimidad', 'secondhand': 'desegundamano', 'because': 'yaque', 'hairy': 'velludo', 'molecule': 'mol\xe9cula', 'series': 'sucesi\xf3n', 'toenail': 'u\xf1a', 'catholic': 'cat\xf3lico', 'tooth': 'diente', 'journalism': 'periodismo', 'hotel': 'hotel', 'journalist': 'periodista', 'super': 'autov\xeda', 'athletics': 'atletismo', 'enthusiasm': 'entusiasmo', 'aggravating': 'escandaloso', 'nourishment': 'alimento', 'forest': 'selva', 'hirsute': 'velludo', 'inquisitive': 'curioso', 'satisfaction': 'satisfacci\xf3n', 'accumulation': 'acumulaci\xf3n', 'security': 'seguridad', 'electric': 'ventilador', 'iodine': 'yodo', 'wren': 'reyezuelo', 'roast': 'asado', 'genre': 'g\xe9nero', 'total': 'total', 'dwelling': 'vivienda', 'inflammation': 'inflamaci\xf3n', 'january': 'enero', 'favor': 'gracia', 'hope': 'ilusi\xf3n', 'observer': 'observador', 'nude': 'desnudo', 'state': 'estado', 'scream': 'grito', 'chauffeur': 'mec\xe1nico', 'celebrity': 'personalidad', 'order': 'clase', 'triangle': 'tri\xe1ngulo', 'skip': 'salto', 'opera': '\xf3pera', 'skin': 'cuero', 'corner': 'esquina', 'peel': 'desconcharse', 'monk': 'hermano', 'wasp': 'avispa', 'skillful': '\xe1gil', 'offset': 'distancia', 'wench': 'muchacha', 'asteroid': 'asteroide', 'wash': 'lavado', 'adjunct': 'ap\xe9ndice', 'history': 'historia', 'compartment': 'departamento', 'authority': 'mando', 'solution': 'soluci\xf3n', 'pupil': 'alumno', 'command': 'mando', 'Sunday': 'domingo', 'exact': 'preciso', 'depth': 'profundidad', 'north': 'norte', 'onerous': 'pesado', 'freshmen': 'estudiantes de primer a\xf1o', 'repayment': 'anualidad', 'dunce': 'idiota', 'strategy': 'estrategia', 'willpower': 'voluntad', 'bleeding': 'sangr\xeda', 'english': 'ingl\xe9s', 'sunset': 'puestadelsol', 'raising': 'cr\xeda', 'geneva': 'ginebra', 'columbus': 'col\xf3n', 'chapter': 'cap\xedtulo', 'precipice': 'precipicio', 'flexibility': 'flexibilidad', 'plausible': 'fidedigno', 'gangway': 'paso', 'furious': 'torcido', 'internet': 'internet', 'okra': '\xf1aj\xfa', 'confrontation': 'enfrentamiento', 'estonia': 'estonia', 'devil': 'diablo', 'morning': 'ma\xf1ana', 'hectolitre': 'hectolitro', 'equipment': 'equipo', 'peninsula': 'pen\xednsula', 'mussel': 'almeja', 'valuable': 'caro', 'addendum': 'adici\xf3n', 'basque': 'vascuence', 'jawbone': 'mand\xedbula', 'hawk': 'halc\xf3n', 'multiple': 'varios', 'some': 'unos', 'female': 'hembra', 'conversion': 'conversi\xf3n', 'farmer': 'agricultor', 'onlooker': 'espectador', 'museum': 'museo', 'weekend': 'fin de semana', 'glass': 'vidrio', 'sash': 'banda', 'vitamin': 'vitamina', 'joining': 'uni\xf3n', 'dusk': 'anochecer', 'temporarily': 'provisionalmente', 'foreigner': 'extranjero', 'dust': 'quitarelpolvoa', 'aloe': 'aloe', 'conception': 'concepci\xf3n', 'breathless': 'sinaliento', 'holocaust': 'holocausto', 'waist': 'cintura', 'objection': 'objeci\xf3n', 'cigarette': 'cigarrillo', 'hearth': 'hogar', 'offer': 'oferta', 'handlebars': 'volante', 'charcoal': 'carb\xf3n', 'accustom': 'habituarse', 'divan': 'dyschatell', 'sight': 'vista', 'firmness': 'firmeza', 'alas': 'esunal\xe1stima', 'astronomy': 'astronom\xeda', 'england': 'inglaterra', 'exercise': 'ejercicio', 'ethics': 'moral', 'negro': 'negro', 'money': 'capital', 'truck': 'cami\xf3n', 'rome': 'roma', 'proposal': 'pretensi\xf3n', 'meter': 'metro', 'oblique': 'inclinado', 'suit': 'traje', 'regulation': 'regla', 'heading': 't\xedtulo', 'offense': 'atentado', 'archduke': 'archiduque', 'scandinavia': 'escandinavia', 'interruption': 'interrupci\xf3n', 'alley': 'calleja', 'builder': 'labrador', 'revelation': 'revelaci\xf3n', 'anxious': 'inquieto', 'special': 'separado', 'oasis': 'oasis', 'scale': 'balanza', 'sister': 'hermana', 'warranty': 'garant\xeda', 'result': 'fruto', 'protest': 'manifestaci\xf3n', 'tolerance': 'tolerancia', 'cafe': 'caf\xe9', 'umbrella': 'paraguas', 'covetousness': 'deseo', 'document': 'documento', 'foreward': 'adelante', 'brother': 'hermano', 'solid': 's\xf3lido', 'brothel': 'manceb\xeda', 'sunday': 'domingo', 'luck': 'suerte', 'deviate': 'desviarse', 'Saturday': 's\xe1bado', 'subway': 'metro', 'canada': 'canad\xe1', 'norway': 'noruega', 'suction': 'campana', 'faction': 'facci\xf3n', 'classification': 'clasificaci\xf3n', 'father': 'padre', 'accommodating': 'servicial', 'postcard': 'tarjetapostal', 'ignore': 'desentendersede', 'centimetre': 'cent\xedmetro', 'effort': 'trabajo', 'convent': 'convento', 'radius': 'radiodeacci\xf3n', 'neglect': 'abandono', 'gramme': 'gram', 'unconscious': 'desmayado', 'slumber': 'echarlasiesta', 'disgust': 'asco', 'cipher': 'cifra', 'trout': 'trucha', 'cloud': 'nube', 'construction': 'construcci\xf3n', 'snowy': 'nevado', 'lace': 'encaje', 'conciseness': 'concisi\xf3n', 'indigence': 'indigencia', 'lack': 'pobreza', 'mortal': 'mortal', 'rearguard': 'retaguardia', 'moonlight': 'la luz de la luna', 'happy': 'alegre', 'promotion': 'promoci\xf3n', 'misuse': 'abuso', 'certificate': 'certificado', 'join': 'unirse', 'we': 'nosotros', 'supermarket': 'supermercado', 'crown': 'corona', 'spell': 'encanto', 'czechoslovakia': 'checoeslovaquia', 'courtship': 'noviazgo', 'attorney': 'abogado', 'celebrate': 'celebrarunafiesta', 'kilometre': 'kil\xf3metro', 'business': 'negocio', 'plastic': 'pl\xe1stico', 'award': 'premio', 'eggfruit': 'berenjena', 'terrace': 'terraza', 'flank': 'ala', 'haddock': 'merluza', 'bordeaux': 'burdeos', 'legging': 'polaina', 'region': 'regi\xf3n', 'obligation': 'obligaci\xf3n', 'finishing': 'acabado', 'eve': 'v\xedspera', 'replicator': 'replicador', 'adversary': 'adversario', 'critique': 'cr\xedtica', 'taxpayer': 'contribuyente', 'occurence': 'acontecimiento', 'ulcer': '\xfalcera', 'quotation': 'cita', 'wit': 'ingenio', 'mud': 'barro', 'climax': 'colmo', 'pride': 'orgullo', 'airsick': 'mareadoenavi\xf3n', 'facade': 'fachada', 'righthand': 'derecha', 'perception': 'percepci\xf3n', 'exhortation': 'exhortaci\xf3n', 'prop': 'respaldo', 'leaflet': 'folleto', 'flannel': 'franela', 'tint': 'matiz', 'computer': 'computadora', 'Mr': 'se\xf1or', 'December': 'diciembre', 'altogether': 'todo', 'manliness': 'macho', 'relinquish': 'renunciara', 'trademark': 'marca', 'intelligence': 'inteligencia', 'periodical': 'peri\xf3dico', 'archives': 'archivo', 'farming': 'agricultura', 'study': 'estudio', 'purity': 'limpieza', 'buoy': 'boya', 'along': 'alolargode', 'alone': '\xfanico', 'fraction': 'fracci\xf3n', 'extelligence': 'Extelligence', 'snap': 'dardentelladasa', 'recuperation': 'recuperaci\xf3n', 'commotion': 'escand\xe1lo', 'wish': 'deseo', 'soviet': 'uni\xf3nsovi\xe9tica', 'spike': 'pico', 'hesitation': 'vacilaci\xf3n', 'lecturer': 'lector', 'litter': 'camilla', 'preparation': 'preparaci\xf3n', 'artist': 'artista', 'cry': 'grito', 'telephone': 'tel\xe9fono', 'geek': 'geek', 'tapestry': 'papelpintado', 'metaphor': 'met\xe1fora', 'abrogation': 'abolici\xf3n', 'anthem': 'himno', 'edging': 'borde', 'river': 'r\xedo', 'rhine': 'rin', 'anchovy': 'anchoa', 'danish': 'dinamarqu\xe9s', 'rhino': 'rinceronte', 'noon': 'mediod\xeda', 'hull': 'buque', 'firecall': 'advertidordeincendios', 'subscription': 'suscripci\xf3n', 'anchor': 'ancla', 'scene': 'escenario', 'adherence': 'adhesi\xf3n', 'graveyard': 'cementerio', 'goods': 'bien', 'face': 'rostro', 'delicacy': 'dulce', 'fact': 'hecho', 'confined': 'limitado', 'accordance': 'tenor', 'tank': 'recipiente', 'chord': 'convenio', 'chore': 'tarea', 'desire': 'pasi\xf3n', 'argentinian': 'argentina', 'muhammad': 'mahoma', 'regret': 'pesar', 'influenza': 'gripe', 'paprika': 'pimiento', 'madrid': 'madrid', 'church': 'templo', 'sahara': 'sahara', 'banana': 'pl\xe1tano', 'used': 'usado', 'tanker': 'cami\xf3n', 'quote': 'cita', 'user': 'usuario', 'cymbal': 'platillo', 'hatred': 'odio', 'pack': 'manada', 'aruba': 'aruba', 'effectual': 'terminante', 'lunch': 'almuerzo', 'bra': 'sujetador', 'miscarriage': 'aborto', 'area': 'zona', 'impetus': 'instinto', 'radiopharmaceutical': 'radiof\xe1rmaco', 'virus': 'virus', 'world': 'mundo', 'evil': 'mal', 'transfer': 'traslado', 'suffering': 'sufrimiento', 'discrete': 'discreto', 'close': 'pr\xf3ximo', 'countryman': 'compatriota', 'theatre': 'teatro', 'alcohol': 'alcohol', 'great': 'grande', 'companion': 'compa\xf1ero', 'nevertheless': 'sinembargo', 'personality': 'personalidad', 'fixed': 'fijo', 'edible': 'comestible', 'element': 'material', 'anise': 'an\xeds', 'conceit': 'vanidad', 'emir': 'emir', 'hurriedly': 'precipitadamente', 'astronaut': 'astronauta', 'piano': 'piano', 'companionate': 'compa\xf1ero', 'mudguard': 'guardabarros', 'urine': 'orina', 'circus': 'circo', 'tv': 'televisi\xf3n', 'architecture': 'arquitectura', 'barber': 'peluquero', 'to': 'porlaizquierda', 'homesickness': 'nostalgia', 'recruit': 'recluta', 'float': 'flotaci\xf3n', 'perfection': 'perfecci\xf3n', 'attraction': 'atracci\xf3n', 'bridge': 'puente', 'certain': 'cierto', 'half': 'medio', 'brinjal': 'berenjena', 'hall': 'sal\xf3n', 'grub': 'grub', 'asset': 'ganancia', 'romance': 'amor', 'bankruptcy': 'bancarrotaquiebra', 'achievement': 'logro', 'bacterium': 'bacteria', 'preferably': 'm\xe1sbien', 'kiss': 'beso', 'including': 'inclu\xeddo', 'pavement': 'acera', 'atmosphere': 'ambiente', 'coat': 'capa', 'representative': 'representante', 'entreaty': 'ruego', 'south': 'sur', 'fun': 'diversi\xf3n', 'novelist': 'novelista', 'omnipotence': 'omnipotencia', 'origin': 'origen', 'brazilian': 'brasile\xf1o', 'excellence': 'excelencia', 'wrath': 'ira', 'sand': 'arena', 'subjunctive': 'modosubjuntivo', 'roe': 'corzo', 'rudiments': 'alfabeto', 'citadel': 'ciudadela', 'margarine': 'margarina', 'antecedent': 'antecedente', 'pluck': 'arrojo', 'pickup': 'recogedor', 'accost': 'dirigirsea', 'candle': 'vela', 'darkness': 'oscuridad', 'phantom': 'fantasma', 'manifesto': 'manifiesto', 'charitable': 'misericordioso', 'disciples': 'partido', 'african': 'africano', 'faucet': 'llave', 'balustrade': 'balaustrada', 'inquiry': 'encuesta', 'recent': 'fresco', 'spark': 'chispa', 'boner': 'Erecci\xf3n', 'ritual': 'rito', 'atmospheric': 'atmosf\xe9rico', 'pretense': 'comedia', 'jewish': 'hebreo', 'smoke': 'humo', 'preacher': 'predicador', 'hidden': 'secreto', 'dandruff': 'caspa', 'writing': 'escrito', 'latvian': 'let\xf3n', 'brink': 'borde', 'springboard': 'plataforma', 'ado': 'ruido', 'persecution': 'persecuci\xf3n', 'rage': 'furia', 'dutch': 'neerland\xe9s', 'suspicious': 'suspicaz', 'cleanliness': 'limpieza', 'arrears': 'atrasos', 'robbed of sleep': 'robadas al sue\xf1o', 'touching': 'conmovedor', 'auspice': 'auspicio', 'ye': 'ustedes', 'joke': 'broma', 'swiss': 'suizo', 'scales': 'balanza', 'slogan': 'lema', 'each': 'todo', 'inner': 'interna', 'underneath': 'enelfondo', 'climber': 'refugio', 'pamphlet': 'folleto', 'solitary': '\xfanico', 'prison': 'c\xe1rcel', 'subscriber': 'suscriptor', 'sleigh': 'endrino', 'around': 'entornode', 'envious': 'envidioso', 'guidebook': 'gu\xeda', 'eggplant': 'berenjena', 'spiked': 'puntiagudo', 'setting': 'escenario', 'regime': 'r\xe9gimen', 'quality': 'cualidad', 'castle': 'castillo', 'bib': 'babero', 'bid': 'oferta', 'big': 'grande', 'village': 'pueblo', 'bit': 'pico', 'disease': 'enfermedad', 'unknown': 'desconocido', 'income': 'ingreso', 'affirmation': 'promesa', 'venom': 'veneno', 'oclock': 'hora', 'finished': 'terminado', 'asiatic': 'asi\xe1tico', 'baroness': 'baronesa', 'accession': 'presentaci\xf3n', 'row': 'fila', 'windfall': 'detrito', 'everything': 'todo', 'previously': 'delante', 'opinion': 'parecer', 'beyond': 'luego', 'camel': 'camello', 'body': 'cuerpo', 'wineskin': 'bota', 'lad': 'muchacho', 'defeat': 'derrota', 'examination': 'vista', 'stock': 'bolsa', 'find': 'hallarse', 'fine': 'multa', 'law': 'ley', 'funny': 'divertido', 'numberplate': 'matr\xedcula', 'youngster': 'chiquillo', 'insidious': 'astuto', 'identity': 'identidad', 'hebrew': 'hebreo', 'raven': 'cuervo', 'investigator': 'investigador', 'divinity': 'dios', 'enjoy': 'divertirse', 'resentment': 'resentimiento', 'prawn': 'g\xe1mba', 'nandu': '\xf1andu', 'joy': 'alegr\xeda', 'fairness': 'justicia', 'stuff': 'cosas', 'job': 'trabajo', 'specter': 'espectro', 'mauretanian': 'moro', 'thirst': 'sed', 'percent': 'porciento', 'debris': 'detrito', 'oversight': 'descuido', 'helmet': 'casco', 'chocolate': 'chocolate', 'deflect': 'desviarse', 'generally': 'generalmente', 'voltage': 'voltaje', 'advantage': 'ventaja', 'heath': 'brezal', 'poison': 'veneno', 'livestock': 'ganado', 'stripe': 'raya', 'league': 'lazo', 'longitude': 'longitud', 'comment': 'comentario', 'succeed': 'tener\xe9xito', 'flock': 'reba\xf1o', 'recess': 'descanso', 'species': 'especie', 'thickness': 'densidad', 'campaign': 'campa\xf1a', 'description': 'descripci\xf3n', 'wretched': 'pobre', 'dollar': 'd\xf3lar', 'hunt': 'busca', 'grapevine': 'parra', 'mistake': 'error', 'vocabulary': 'vocabulario', 'equal': 'igual', 'transmission': 'transmisi\xf3n', 'suggestion': 'sugerencia', 'grounds': 'terreno', 'anguish': 'angustia', 'chive': 'cebollana', 'frontage': 'delantera', 'archimandrite': 'abad', 'queen': 'reina', 'dozen': 'docena', 'unit': 'unidad', 'grace': 'gracia', 'gasoline': 'gasolina', 'ram': 'carnero', 'baize': 'bayeta', 'rap': 'llamaralapuerta', 'sincerity': 'sinceridad', 'puppet': 'mu\xf1eca', 'rat': 'rata', 'raw': 'crudo', 'ray': 'rayo', 'vein': 'vena', 'veil': 'velo', 'arrangement': 'arreglo', 'battery': 'pila', 'bright': 'magn\xedfico', 'carrion': 'carro\xf1a', 'armchair': 'sill\xf3n', 'mattress': 'colch\xf3n', 'playground': 'patio', 'integrity': 'integridad', 'basement': 's\xf3tano', 'mercifulness': 'misericordia', 'brandy': 'co\xf1ac', 'trick': 'burla', 'numeral': 'n\xfamero', 'back': 'espalda', 'hollander': 'holand\xe9s', 'goldfish': 'pezdorado', 'adjustable': 'llave', 'drama': 'teatro', 'statistic': 'estad\xedstica', 'idol': '\xeddolo', 'sightseeing': 'excursi\xf3n', 'raider': 'pirata', 'robe': 'vestido', 'cent': 'centavo', 'withdrawal': 'retirada', 'thesis': 'tesis', 'nowhere': 'enningunaparte', 'overhead': 'arriba', 'reasoning': 'razonamiento', 'issue': 'ejemplar', 'digression': 'par\xe9ntesis', 'cross': 'cruz', 'national': 'nacional', 'gooseberry': 'grosella', 'contaminated': 'contagiado', 'instructor': 'maestro', 'goddess': 'diosa', 'harbour': 'puerto', 'celebrating': 'celebrarsucumplea\xf1os', 'decisive': 'decisivo', 'database': 'base de datos', 'beggar': 'mendigo', 'plaster': 'esparadrapo', 'situation': 'situaci\xf3n', 'garbage': 'desperdicio', 'bevy': 'grupo', 'hand': 'mano', 'restraint': 'rienda', 'festival': 'feria', 'shrub': 'arbusto', 'group': 'partido', 'assistance': 'asistencia', 'dairy': 'lecher\xeda', 'looking': 'espejo', 'salutation': 'saludo', 'cynical': 'c\xednico', 'latin': 'lat\xedn', 'altitude': 'altura', 'somewhat': 'poco', 'participation': 'participaci\xf3n', 'whole': 'todo', 'chicken': 'pollo', 'intensity': 'intensidad', 'honest': 'sincero', 'bucket': 'cubo', 'willow': 'sauce', 'blackberry': 'zarzamora', 'descendant': 'descendiente', 'two': 'dos', 'guilty': 'culpable', 'apoplectic': 'apoplej\xeda', 'archivist': 'archivista', 'salt': 'sal', 'coco': 'coco', 'recently': 'recientemente', 'goth': 'godo', 'defect': 'defecto', 'apprehension': 'detenci\xf3n', 'file': 'fila', 'contrivance': 'invenci\xf3n', 'topical': 'actual', 'film': 'pel\xedcula', 'wales': 'gales', 'mayhap': 'talvez', 'upstairs': 'arriba', 'atlantu': 'atlantu', 'nebula': 'nebulosa', 'country': 'pa\xeds', 'nameless': 'an\xf3nimo', 'performance': 'gala', 'parrot': 'loro', 'insight': 'penetraci\xf3n', 'saucepan': 'cacerola', 'method': 'm\xe9todo', 'criminal': 'criminal', 'chippings': 'cascajo', 'enormous': 'enorme', 'stipulation': 'condici\xf3n', 'cockroach': 'cucaracha', 'uprightness': 'nobleza', 'over': 'terminado', 'oven': 'estufa', 'herring': 'arenque', 'cleat': 'mordaza', 'clear': 'recogerlamesa', 'clean': 'limpio', 'abbot': 'abad', 'involvement': 'participaci\xf3n', 'accountant': 'contable', 'comfort': 'comodidad', 'equation': 'ecuaci\xf3n', 'bottle': 'botella', 'laxative': 'purgante', 'message': 'mensaje', 'header': 'cabecera', 'paperer': 'tapicero', 'bowls': 'tazones', 'company': 'compa\xf1\xeda', 'amends': 'modifica', 'agonizing': 'horroroso', 'conference': 'conferencia', 'jade': 'jade', 'ireland': 'irlanda', 'dictionary': 'diccionario', 'crumble': 'desmoronarse', 'helpfulness': 'servicio', 'settlement': 'ajuste', 'authoress': 'autora', 'sensation': 'sensaci\xf3n', 'engagement': 'compromiso', 'acceptable': 'razonable', 'rival': 'rival', 'spice': 'especia', 'peach': 'melocot\xf3n', 'peace': 'tranquilidad', 'nose': 'nariz', 'earthquake': 'terremoto', 'instalment': 'anualidad', 'bite': 'mordisco', 'fear': 'temor', 'inferior': 'inferior', 'knowledge': 'saber', 'horror': 'terror', 'introduction': 'presentaci\xf3n', 'quicksand': 'arenasmovedizas', 'sailor': 'marinero', 'onstage': 'escenario', 'annex': 'anexo', 'incline': 'inclinaci\xf3n', 'abasement': 'humillaci\xf3n', 'married': 'casado', 'speech': 'lenguaje', 'disc': 'disco', 'disk': 'disco', 'dish': 'plato', 'primate': 'primate', 'phenomenon': 'fen\xf3meno', 'caucasus': 'c\xe1ucaso', 'fiction': 'ficci\xf3n', 'bacon': 'tocino', 'interlocutor': 'interlocutor', 'tradition': 'tradici\xf3n', 'parcel': 'parcela', 'delivery': 'reparto', 'rough': '\xe1spero', 'transportation': 'transporte', 'barely': 'apenas', 'brevity': 'concisi\xf3n', 'heaven': 'cielo', 'nanobot': 'nanobot', 'arab': '\xe1rabe', 'contralto': 'alto', 'role': 'papel', 'roll': 'lista', 'buttock': 'nalga', 'taxi': 'taxi', 'arrow': 'flecha', 'laid': 'encamado', 'cell': 'c\xe9lula', 'hardly': 'apenas', 'soccer': 'f\xfatbol', 'renounce': 'renunciara', 'closet': 'armario', 'closed': 'cerrado', 'destitution': 'indigencia', 'where': 'donde', 'portugal': 'portugal', 'cage': 'jaula', 'anathema': 'anatema', 'birth': 'parto', 'abalone': 'abul\xf3n', 'codfish': 'bacalao', 'death': 'muerte', 'rumour': 'hambre', 'warehouse': 'bodega', 'cup': 'taza', 'defence': 'retaguardia', 'pepper': 'pimienta', 'hospital': 'hospital', 'innocence': 'inocencia', 'merciful': 'misericordioso', 'earring': 'pendiente', 'ingredient': 'componente', 'cul': 'caminosinsalida', 'abject': 'pobre', 'trouble': 'pena', 'keeper': 'archivista', 'requirement': 'exigencia', 'grip': 'gripe', 'cosmetic': 'polvos', 'column': 'columna', 'thing': 'objeto', 'grin': 'sonrisa', 'smell': 'olfato', 'print': 'impresi\xf3n', 'treatise': 'tratado', 'crash': 'chocarkun', 'liter': 'litro', 'injured': 'herido', 'thrifty': 'econ\xf3mico', 'concentration': 'concentraci\xf3n', 'knee': 'rodilla', 'perhaps': 'talvez', 'tug': 'tir\xf3n', 'teapot': 'tetera', 'mouse': 'rat\xf3n', 'tub': 'ba\xf1era', 'egyptian': 'egipc\xedaco', 'transition': 'transici\xf3n', 'escort': 'acompa\xf1amiento', 'improv': 'improv', 'spine': 'lomo', 'mist': 'niebla', 'falling': 'ca\xedda', 'bowels': 'entra\xf1as', 'frenchwoman': 'francesa', 'faerie': 'hada', 'permanent': 'continuo', 'mushroom': 'seta', 'participant': 'participante', 'duty': 'deber', 'illustration': 'ilustraci\xf3n', 'tunnel': 't\xfanel', 'swindle': 'enga\xf1o', 'hygiene': 'higiene', 'aesthetics': 'est\xe9tica', 'doze': 'echarlasiesta', 'patriarch': 'patriarca', 'carrot': 'zanahoria', 'urgent': 'urgente', 'resign': 'hacerdimisi\xf3n', 'fianc': 'prometido', 'raid': 'ataque', 'rain': 'lluvia', 'rail': 'barra', 'ululation': 'regocijo', 'particular': 'particular', 'teardrop': 'l\xe1grima', 'compulsory': 'obligatorio', 'atpersand': 'arroba', 'rumanian': 'rumano', 'index': '\xedndice', 'adjective': 'adjetivo', 'rose': 'rosa', 'defiance': 'reto', 'happening': 'hecho', 'substantive': 'substantivo', 'fountain': 'fuente', 'out': 'fuera', 'our': 'nuestrase\xf1ora', 'congress': 'congreso', 'founder': 'fundador', 'arrested': 'detenido', 'decanter': 'garrafa', 'steam': 'vapor', 'steak': 'bist\xe9', 'calorie': 'calor\xeda', 'end': 't\xe9rmino', 'valise': 'maletademano', 'sky': 'cielo', 'chastity': 'pureza', 'ski': 'esqu\xed', 'palace': 'palacio', 'only': '\xfanico', 'intervention': 'intervenci\xf3n', 'fantastic': 'hueco', 'honour': 'honor', 'reef': 'roca', 'reed': 'ca\xf1a', 'shutter': 'obturador', 'reek': 'olermal', 'immediately': 'inmediatamente', 'attendance': 'servicio', 'limitation': 'limitaci\xf3n', 'repose': 'descanso', 'belong': 'serde', 'scottish': 'escoc\xe9s', 'civilization': 'civilizaci\xf3n', 'glorious': 'famoso', 'conversance': 'notoriedad', 'odour': 'olor', 'horrible': 'temeroso', 'billow': 'ola', 'bore': 'barrena', 'cologne': 'colonia', 'incursion': 'incursi\xf3n', 'probably': 'probablemente', 'microorganism': 'organismo', 'play': 'juego', 'hurry': 'prisa', 'take': 'tratarde', 'gender': 'g\xe9nero', 'plan': 'programa', 'jew': 'hebreo', 'chimerical': 'hueco', 'considerable': 'notable', 'superior': 'jefe', 'agency': 'agencia', 'usefulness': 'conveniencia', 'abrupt': 'escarpado', 'bloomer': 'ropa interior', 'showing': 'exhibici\xf3n', 'petrol': 'gasolina', 'rendezvous': 'cita', 'manicure': 'hacerlamanicura', 'chuckle': 'risa', 'dye': 'tinte', 'yoghourt': 'yogur', 'living': 'vida', 'recompense': 'recompensa', 'bride': 'novia', 'absolute': 'completo', 'venezuela': 'venezuela', 'worldglobe': 'globoterr\xe1queo', 'cat': 'gato', 'cap': 'gorro', 'car': 'auto', 'backing': 'apoyo', 'can': 'lata', 'minute': 'minuto', 'caf': 'caf\xe9', 'cab': 'taxi', 'blot': 'mancha', 'blow': 'golpe', 'quarters': 'local', 'within': 'por', 'compartmentalization': 'compartimentaci\xf3n', 'pane': 'vidrio', 'lead': 'plombo', 'leaf': 'hoja', 'focus': 'foco', 'lean': 'fino', 'leap': 'salto', 'obsession': 'obsesi\xf3n', 'scarcely': 'apenas', 'welcome': 'darlabienvenida', 'corpse': 'cad\xe1ver', 'guard': 'guardia', 'extinction': 'extinci\xf3n', 'guelders': 'g\xfceldres', 'afterwards': 'm\xe1sadelante', 'bonbon': 'bomb\xf3n', 'administration': 'administraci\xf3n', 'radio': 'radio', 'religion': 'religi\xf3n', 'friendship': 'amistad', 'active': 'laborioso', 'permission': 'permiso', 'school': 'escuela', 'sponsor': 'padrino', 'important': 'importante', 'barbaric': 'b\xe1rbaro', 'homy': 'c\xf3modo', 'madam': 'se\xf1ora', 'request': 'solicitud', 'concerned': 'encuest\xf3n', 'suddenly': 'desopet\xf3n', 'capsule': 'pastilla', 'furnace': 'horno', 'hat': 'sombrero', 'physicist': 'f\xedsico', 'blame': 'culpa', 'togetherness': 'solidaridad', 'londoner': 'londinense', 'ascend': 'subira', 'kettle': 'olla', 'local': 'local', 'oculist': 'oculista', 'adhere': 'serpartidariode', 'thames': 't\xe1mesis', 'edge': 'extremo', 'monumental': 'monumental', 'countess': 'condesa', 'army': 'ej\xe9rcito', 'plant': 'planta', 'sufficient': 'bastante', 'escape': 'salida', 'peru': 'per\xfa', 'machinery': 'maquinaria', 'poverty': 'pobreza', 'plane': 'plano', 'plank': 'tabla', 'melon': 'mel\xf3n', 'finn': 'fin\xe9s', 'choice': 'elecci\xf3n', 'stadium': 'estadio', 'ugly': 'feo', 'seriousness': 'seriedad', 'suspenders': 'tirantes', 'cheese': 'queso', 'agony': 'miedo', 'bubble': 'vejiga', 'entirely': 'enteramente', 'lap': 'vuelta', 'aide': 'edec\xe1n', 'empty': 'vac\xedo', 'sty': 'establo', 'aids': 'sida', 'shirt': 'camisa', 'writer': 'escritor', 'this': 'estatarde', 'annexation': 'edificioanexo', 'thin': 'fino', 'geography': 'geograf\xeda', 'algerian': 'argelino', 'hammer': 'martillo', 'ceaselessly': 'continuamente', 'clapper': 'badajo', 'serenity': 'serenidad', 'roman': 'romano', 'attacker': 'atacador', 'champagne': 'champa\xf1a', 'facilities': 'instalaci\xf3n', 'suitable': 'conveniente', 'sit': 'sentarse', 'sir': 'se\xf1or', 'six': 'seis', 'sin': 'pecado', 'valley': 'valle', 'mineral': 'mineral', 'gunner': 'artillero', 'cattle': 'ganado', 'eagerness': 'af\xe1n', 'mexican': 'mejikano', 'background': 'fondo', 'girdle': 'pretina', 'cooperation': 'cooperaci\xf3n', 'avalanche': 'avalancha', 'sure': 'cierto', 'safe': 'caja', 'self': 'ego\xedsta', 'records': 'archivo', 'current': 'corriente', 'reserve': 'reserva', 'coin': 'moneda', 'coil': 'rollo', 'proximity': 'proximidad', 'treetop': 'copa', 'mosaic': 'mosaico', 'twilight': 'penumbra', 'vest': 'chaleco', 'athens': 'atenas', 'antipode': 'ant\xedpoda', 'thoughtful': 'prudente', 'sponge': 'esponja', 'athena': 'atenas', 'original': 'original', 'athene': 'atenas', 'corps': 'cuerpo', 'colleague': 'colega', 'rubble': 'detrito', 'berry': 'baya', 'malines': 'malinas', 'carafe': 'garrafa', 'its': 'su', 'dove': 'paloma', 'vigilance': 'vigilancia', 'cuban': 'cubano', 'understanding': 'comprensi\xf3n', 'colossus': 'monstruo', 'like': 'si', 'looks': 'parecer', 'macaroni': 'macarrones', 'accumulator': 'acumulador', 'signing': 'firma', 'alive': 'vivo', 'interesting': 'interesante', 'supplement': 'complemento', 'teetotalism': 'abstinencia', 'all': 'todos', 'snow': 'nieve', 'ale': 'cerveza', 'cantabrian': 'cant\xe1brico', 'cafetaria': 'cafeter\xeda', 'legend': 'leyenda', 'gate': 'puerta', 'mark': 'se\xf1al', 'drink': 'trago', 'cholera': 'c\xf3lera', 'wooden': 'demadera', 'agitated': 'inquieto', 'theft': 'robo', 'luggage': 'furg\xf3n', 'lilac': 'lila', 'cellar': 's\xf3tano', 'envy': 'envidia', 'loose': 'suelto', 'conspiracy': 'conspiraci\xf3n', 'follow-up': 'continuaci\xf3n', 'easter': 'pascua', 'sheet': 'hoja', 'sheep': 'oveja', 'malicious': 'astuto', 'fault': 'culpa', 'groundwork': 'fundamento', 'airline': 'Aerol\xednea', 'player': 'jugador', 'illness': 'enfermedad', 'hunter': 'cazador', 'bounty': 'recompensa', 'consent': 'aprobaci\xf3n', 'illusion': 'ilusi\xf3n', 'lazy': 'holgaz\xe1n', 'earthly': 'terrestre', 'amazon': 'r\xedoamazonas', 'asturias': 'asturias', 'baby': 'beb\xe9', 'vanilla': 'vainilla', 'execution': 'ejecuci\xf3n', 'girlfriend': 'novia', 'gift': 'regalo', 'scenery': 'paisaje', 'thrice': 'tresveces', 'funnel': 'embudo', 'purchase': 'compra', 'light': 'luz', 'watercourse': 'madre', 'kilometer': 'kil\xf3metro', 'lofty': 'alto', 'crayfish': 'cangrejo', 'milliner': 'modista', 'fringe': 'franja', 'kernel': 'grano', 'banisters': 'balaustrada', 'inferno': 'infierno', 'awful': 'horroroso', 'poland': 'polonia', 'rhythm': 'ritmo', 'lie': 'mentira', 'lid': 'tapa', 'nonsense': 'absurdo', 'lip': 'labio', 'kind': 'tipo', 'king': 'rey', 'grasshopper': 'saltamontes', 'fancier': 'aficionado', 'internal': 'interna', 'dresser': 'fregadero', 'amusement': 'distracci\xf3n', 'about': 'respectode', 'pike': 'lucio', 'passable': 'transitable', 'menu': 'tarjeta', 'revue': 'revista', 'mrs': 'se\xf1orita', 'handiwork': 'artesan\xeda', 'marassa': 'marassa', 'process': 'proceso', 'cordova': 'c\xf3rdoba', 'common': 'com\xfan', 'zeal': 'af\xe1n', 'dawn': 'alba', 'temptation': 'tentaci\xf3n', 'strasbourg': 'estrasburgo', 'acclaim': 'aplauso', 'thou': 'vosotros', 'fitness': 'disposici\xf3n', 'initiative': 'iniciativa', 'disapprobation': 'reprobaci\xf3n', 'cow': 'vaca', 'guile': 'astucia', 'short': 'pantal\xf3ncorto', 'cop': 'cop', 'district': 'barrio', 'chaos': 'caos', 'metal': 'metal', 'cog': 'diente', 'cod': 'bacalao', 'guilt': 'culpa', 'shore': 'costa', 'argentine': 'argentino', 'airplane': 'avi\xf3n', 'wizard': 'asistente', 'priest': 'sacerdote', 'contrast': 'contraste', 'collision': 'choque', 'loud': 'alto', 'appetite': 'apetito', 'news': 'novedad', 'acquaintance': 'notoriedad', 'buffet': 'buffet', 'imprisonment': 'prisi\xf3n', 'unmarried': 'solterona', 'buffer': 'parachoques', 'conclusion': 'conclusi\xf3n', 'axiom': 'axioma', 'strong': 'fuerte', 'poetry': 'poes\xeda', 'spring': 'primavera', 'lottery': 'loter\xeda', 'dexterous': '\xe1gil', 'January': 'enero', 'corsica': 'c\xf3rcega', 'intense': 'violento', 'husk': 'c\xe1scara', 'middle': 'medio', 'beaver': 'castor', 'arousal': 'excitaci\xf3n', 'lemon': 'lim\xf3n', 'management': 'manejo', 'taking': 'compra', 'ivy': 'yedra', 'europa': 'europa', 'copper': 'cobre', 'europe': 'europa', 'confectioner': 'pastelero', 'goose': 'oca', 'apprentice': 'aprendiz', 'redemption': 'castigo', 'another': 'otro', 'firing': 'c\xe1psula', 'aberrance': 'desv\xedo', 'besides': 'dem\xe1s', 'synthesis': 's\xedntesis', 'property': 'propiedad', 'senator': 'senador', 'natural': 'gasnatural', 'rule': 'ley', 'faint': 'd\xe9bil', 'rifle': 'escopeta', 'crisis': 'crisis', 'innate': 'innato', 'ridiculous': 'rid\xedculo', 'prescription': 'receta', 'knapsack': 'mochila', 'so': 'pordecirloas\xed', 'airdrome': 'aeropuerto', 'office': 'oficina', 'programme': 'programa', 'oats': 'avena', 'sitcom': 'sitcom', 'methylphenidate': 'metilfenidato', 'cura': 'curazao', 'cure': 'remedio', 'brain': 'cerebro', 'braid': 'cord\xf3n', 'steel': 'acero', 'terminate': 'vencimiento', 'warning': 'prevenci\xf3n', 'conserve': 'conservar', 'steep': 'escarpado', 'concert': 'concierto', 'already': 'ya', 'bend': 'curva', 'dough': 'masa', 'filling': 'estaci\xf3ndeservicio', 'concern': 'preocupaci\xf3n', 'investment': 'inversi\xf3n', 'lukewarm': 'tibio', 'rezignation': 'resignaci\xf3n', 'appellation': 'nombre', 'junto': 'trinquete', 'brutal': 'brusko', 'partition': 'separaci\xf3n', 'chunk': 'trozo', 'island': 'isla', 'superiority': 'superioridad', 'relative': 'familiar', 'inducement': 'motivo', 'moreover': 'dem\xe1s', 'winner': 'ganador', 'rear': 'ruedaposterior', 'circle': 'c\xedrculo', 'creator': 'creador', 'tenderness': 'delicadeza', 'attentive': 'atento', 'siberian': 'siberiano', 'diminutive': 'peque\xf1o', 'parings': 'detrito', 'territory': 'territorio', 'asshole': 'pendejo', 'gold': 'oro', 'lot': 'mont\xf3n', 'low': 'reflujo', 'apprenticeship': 'aprendizaje', 'comfortable': 'agradable', 'kilo': 'kilo', 'kiln': 'estufa', 'banker': 'banquero', 'source': 'fuente', 'momentum': 'impulso', 'existence': 'existencia', 'buck': 'liebremacho', 'blunder': 'disparate', 'plea': 'defensa', 'artistic': 'art\xedstico', 'window': 'ventana', 'representation': 'representaci\xf3n', 'complicity': 'complicidad', 'chronicle': 'cr\xf3nica', 'wanton': 'petulante', 'camp': 'campamento', 'key': 'llave', 'reason': 'raz\xf3n', 'excitement': 'emoci\xf3n', 'japan': 'jap\xf3n', 'opium': 'opio', 'preference': 'gusto', 'inclination': 'tentaci\xf3n', 'resemble': 'parecerse', 'distress': 'angustia', 'and': 'ytambi\xe9n', 'coast': 'costa', 'long': 'largo', 'after': 'tras', 'aversion': 'repugnancia', 'gaze': 'mirada', 'roommate': 'compa\xf1ero', 'ant': 'hormiga', 'proof': 'muestra', 'any': 'unos', 'pickle': 'muchachotravieso', 'ventilator': 'ventilador', 'contagious': 'contagioso', 'nearby': 'vecino', 'male': 'macho', 'ravine': 'hendidura', 'valve': 'v\xe1lvula', 'tampon': 'tamp\xf3n', 'wolf': 'lobo', 'surname': 'apellido', 'midshipsman': 'guardiamarina', 'equivalent': 'equivalente', 'greece': 'grecia', 'joker': 'comediante', 'tent': 'tienda', 'several': 'varios', 'ring': 'cerco', 'rind': 'corteza', 'lost': 'perdido', 'loss': 'p\xe9rdida', 'ass': 'burro', 'funeral': 'entierro', 'lose': 'perderse', 'timid': 't\xedmido', 'ash': 'ceniza', 'alternation': 'alternativa', 'germany': 'alemania', 'barman': 'barman', 'pitiful': 'deplorable', 'article': 'art\xedculo', 'denial': 'negativa', 'gathering': 'concentraci\xf3n', 'repair': 'reparaci\xf3n', 'bill': 'ley', 'protection': 'protecci\xf3n', 'spanner': 'llave', 'verbal': 'verbal', 'especially': 'sobretodo', 'fur': 'piel', 'something': 'noticias', 'hoax': 'enga\xf1o', 'politeness': 'cortes\xeda', 'emmet': 'hormiga', 'validity': 'validez', 'marsh': 'terrenopantanoso', 'frisian': 'fris\xf3n', 'soul': 'alma', 'congenital': 'innato', 'retreat': 'retiro', 'system': 'sistema', 'bother': 'molestia', 'chemist': 'qu\xedmico', 'gumbo': '\xf1aj\xfa', 'bible': 'biblia', 'radish': 'r\xe1bano', 'guitar': 'guitarra', 'arccosecant': 'arccosecant', 'bait': 'cebo', 'afresh': 'otravez', 'slope': 'inclinaci\xf3n', 'else': 'otro', 'rowing': 'barcoderemos', 'television': 'televisi\xf3n', 'pyramid': 'pir\xe1mide', 'custom': 'costumbre', 'insecurity': 'inseguridad', 'green': 'verde', 'greek': 'griego', 'match': 'partido', 'ascension': 'ascensi\xf3n', 'panties': 'calzoncillos', 'mule': 'mulo', 'accretion': 'incremento', 'airport': 'aeropuerto', 'paste': 'masa', 'feather': 'pluma', 'serene': 'sereno', 'spy': 'esp\xeda', 'marseilles': 'marsella', 'nought': 'cero', 'thereafter': 'luego', 'servant': 'funcionario', 'differently': 'deotramanera', 'experiment': 'experimento', 'spa': 'estaci\xf3nbalnearia', 'counsellor': 'consejero', 'mature': 'maduro', 'sunrise': 'salidadelsol', 'usage': 'costumbre', 'nickel': 'n\xedquel', 'pigeon': 'pich\xf3n', 'pattern': 'norma', 'electrophysiological': 'electrofisiol\xf3gicos', 'courage': 'virtud', 'waste': 'residuo', 'tired': 'cansado', 'concept': 'concepto', 'ceremony': 'ceremonia', 'groom': 'novio', 'shortcoming': 'falta', 'instantly': 'enseguida', 'galaxy': 'galaxy', 'response': 'eco', 'salesman': 'vendedor', 'alliance': 'alianza', 'blond': 'rubio', 'together': 'convivencia', 'dose': 'dosis', 'curious': 'curioso', 'attachement': 'afectuosidad', 'pregnant': 'enestado', 'delegate': 'comisario', 'orgasm': 'orgasmo', 'deinstitutionalization': 'desinstitucionalizaci\xf3n', 'sweden': 'suecia', 'newspaper': 'peri\xf3dico', 'talking': 'habla', 'foreign': 'extranjero', 'concurrence': 'convenio', 'fresh': 'fresco', 'pants': 'pantal\xf3n', 'insulation': 'aislamiento', 'oyster': 'ostra', 'annotation': 'apunte', 'rocking': 'vaiv\xe9n', 'polish': 'polaco', 'prussian': 'prusiano', 'passion': 'pasi\xf3n', 'dull': 'obtuso', 'clothing': 'ropa', 'cancer': 'c\xe1ncer', 'zealand': 'zeland\xe9s', 'discussion': 'discusi\xf3n', 'capital': 'capital', 'unsteadiness': 'desequilibrio', 'dynamics': 'din\xe1mica', 'risk': 'riesgo', 'thursday': 'jueves', 'rise': 'aumento', 'dumb': 'mudo', 'wages': 'salario', 'token': 'se\xf1al', 'aha': 'ah', 'smooth': 'plano', 'alphabet': 'alfabeto', 'citizen': 'ciudadano', 'deletion': 'supresi\xf3n', 'bookstore': 'librer\xeda', 'frieze': 'fris\xf3n', 'lapse': 'lapso', 'running': 'funcionamiento', 'dining': 'comedor', 'auditorium': 'paraninfo', 'nobility': 'nobleza', 'debt': 'deuda', 'ship': 'barco', 'us': 'nosotros', 'up': 'actual', 'mainly': 'sobretodo', 'anew': 'otravez', 'race': 'carrera', 'american': 'americano', 'adolescence': 'adolescencia', 'hamper': 'cesto', 'platter': 'plato', 'profound': 'profundo', 'bathe': 'ba\xf1arse', 'researcher': 'investigador', 'baths': 'ba\xf1ero', 'marriage': 'matrimonio', 'scope': 'alcance', 'project': 'prop\xf3sito', 'initial': 'inicial', 'agreed': 'vale', 'handfan': 'abanico', 'brake': 'freno', 'understood': 'comprendido', 'assessment': 'apreciaci\xf3n', 'stress': 'acento', 'bell': 'campana', 'constitution': 'constituci\xf3n', 'library': 'biblioteca', 'now': 'decuandoencuando', 'belt': 'cintur\xf3n', 'affection': 'afecto', 'earth': 'terreno', 'ripple': 'onda', 'cypres': 'cipr\xe9s', 'uncertainty': 'incertidumbre', 'farewell': 'despedida', 'begging': 'mendicidad', 'magazine': 'revista', 'bird': 'p\xe1jaro', 'effectiveness': 'eficacia', 'endeavor': 'esfuerzo', 'interval': 'intermedio', 'moorish': 'moro', 'western': 'europaoccidental', 'siberia': 'siberia', 'campus': 'campus', 'tale': 'cuento', 'talk': 'discurso', 'tall': 'alto', 'lithuania': 'lituania', 'movement': 'movimiento', 'authorization': 'autorizaci\xf3n', 'adornment': 'adorno', 'firm': 'ente', 'whitewash': 'cal', 'fire': 'fuego', 'till': 'hastaque', 'tile': 'azulejo', 'turkish': 'turco', 'sock': 'calcet\xedn', 'caress': 'caricia', 'bedridden': 'encamado', 'newborn': 'beb\xe9', 'dane': 'dinamarqu\xe9s', 'emergency': 'emergencia', 'hippo': 'hipop\xf3tamo', 'addled': 'zote', 'saxon': 'saj\xf3n', 'injury': 'da\xf1o', 'abstract': 'resumen', 'limit': 'l\xedmite', 'clearness': 'claridad', 'encyclopaedia': 'enciclopedia', 'the': 'pasadoma\xf1ana'}
   #--------------------------------------------------
   #--------------------------------------------------
   #--------------------------------------------------
   #--------------------------------------------------
   return english_to_spanish_translation_dict
   #--------------------------------------------------
#-------------------------------------------------------------------------------------------------------------------------------------
#-------------------------------------------------------------------------------------------------------------------------------------
#END OF english_to_spanish_translation_pairs.py